Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF4
-rw-r--r--plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF4
-rw-r--r--plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF4
-rw-r--r--plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF4
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.palette/.project2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.palette/META-INF/MANIFEST.MF20
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/.project2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF9
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/customization/Activator.java6
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.generation/.project2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.generation/META-INF/MANIFEST.MF11
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.generation/src/org/eclipse/papyrus/properties/generation/Activator.java2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/.project2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/META-INF/MANIFEST.MF11
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/src/org/eclipse/papyrus/properties/model/xwt/Activator.java4
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties/.project2
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties/META-INF/MANIFEST.MF19
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties/UICustom/context.uiCustom4
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties/plugin.xml42
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization.properties/src/org/eclipse/papyrus/properties/customization/Activator.java8
-rw-r--r--plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF14
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project2
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF5
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/src/org/eclipse/papyrus/ui/perspectiveconfiguration/Activator.java6
-rw-r--r--plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/src/org/eclipse/papyrus/core/adaptor/emf/Activator.java6
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/src/org/eclipse/papyrus/core/adaptor/gmf/Activator.java16
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.log/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.log/META-INF/MANIFEST.MF2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.log/src/org/eclipse/papyrus/log/internal/Activator.java4
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/src/org/eclipse/papyrus/sasheditor/Activator.java4
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core/.project2
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/core/org.eclipse.papyrus.infra.core/src/org/eclipse/papyrus/core/Activator.java6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/src/org/eclipse/papyrus/commands/Activator.java6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF18
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/src/org/eclipse/papyrus/navigation/Activator.java6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/src/org/eclipse/papyrus/outline/internal/Activator.java7
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/src/org/eclipse/papyrus/preferences/Activator.java7
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF11
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/src/org/eclipse/papyrus/properties/notation/Activator.java2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/.project2
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/src/org/eclipse/papyrus/widgets/gmf/Activator.java4
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.export/.project2
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.export/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/.project2
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/META-INF/MANIFEST.MF13
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/src/org/eclipse/papyrus/extendedtypes/emf/Activator.java6
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes/.project2
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.extendedtypes/src/org/eclipse/papyrus/extendedtypes/Activator.java6
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.onefile/.project2
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.onefile/src/org/eclipse/papyrus/onefile/Activator.java6
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.ui.resources/.project2
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/org.eclipse.papyrus.infra.ui.resources/src/org/eclipse/papyrus/ui/resources/Activator.java6
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/.project2
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/.project2
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/.project2
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/META-INF/MANIFEST.MF12
-rw-r--r--plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/src/org/eclipse/papyrus/core/queries/Activator.java16
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF12
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/src/org/eclipse/papyrus/decoration/Activator.java10
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.edit/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.edit/src/org/eclipse/papyrus/service/edit/Activator.java6
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/src/org/eclipse/papyrus/markerlistener/Activator.java6
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/META-INF/MANIFEST.MF9
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/src/org/eclipse/papyrus/core/resourceloading/preferences/CorePlugin.java6
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/.project2
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF9
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/src/org/eclipse/papyrus/core/resourceloading/Activator.java4
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.validation/.project56
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.validation/META-INF/MANIFEST.MF10
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.validation/src/org/eclipse/papyrus/validation/Activator.java10
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/.project2
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF14
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/table/common/Activator.java4
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.instance/.project2
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.instance/META-INF/MANIFEST.MF3
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.instance/src/org/eclipse/papyrus/table/instance/Activator.java4
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.menu/.project2
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF8
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.menu/src/org/eclipse/papyrus/table/menu/Activator.java6
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/.project2
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF5
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/src/org/eclipse/papyrus/table/modelexplorer/Activator.java4
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.properties/.project2
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.properties/META-INF/MANIFEST.MF9
-rw-r--r--plugins/infra/table/org.eclipse.papyrus.infra.table.properties/src/org/eclipse/papyrus/properties/table/Activator.java6
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/.project56
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/src/org/eclipse/papyrus/ui/toolbox/Activator.java10
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets/.project2
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/widget/org.eclipse.papyrus.infra.widgets/src/org/eclipse/papyrus/widgets/Activator.java2
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/.project2
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/META-INF/MANIFEST.MF6
-rw-r--r--plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/src/org/eclipse/papyrus/widgets/xtext/Activator.java4
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/gridalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalsymmetryalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontaltreealgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/radialalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/springalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/treealgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalsymmetryalgorithm/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/META-INF/MANIFEST.MF5
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/src/org/eclipse/papyrus/layouttool/subeditor/gmf/Activator.java6
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout/.project2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout/META-INF/MANIFEST.MF2
-rw-r--r--plugins/layout/org.eclipse.papyrus.layout/src/org/eclipse/papyrus/layouttool/Activator.java6
-rw-r--r--plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF4
-rw-r--r--plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/.project2
-rw-r--r--plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/META-INF/MANIFEST.MF5
-rw-r--r--plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/src/org/eclipse/papyrus/properties/tabbed/marte/Activator.java6
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/.project2
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/META-INF/MANIFEST.MF12
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/.project2
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/META-INF/MANIFEST.MF3
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore2
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/.project2
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/META-INF/MANIFEST.MF7
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/.project2
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/META-INF/MANIFEST.MF3
-rw-r--r--plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore6
-rw-r--r--plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF8
-rw-r--r--plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF2
-rw-r--r--plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF2
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF16
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF14
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF12
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF14
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF8
-rw-r--r--plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF4
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF8
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF6
-rw-r--r--plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF2
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/.project2
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/META-INF/MANIFEST.MF3
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/src/org/eclipse/papyrus/properties/view/sysml/Activator.java6
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/.project2
-rw-r--r--plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/META-INF/MANIFEST.MF7
-rw-r--r--plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF14
-rw-r--r--plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/src/org/eclipse/papyrus/diagram/activity/part/UMLDiagramEditorPlugin.java7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.project56
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF16
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/src/org/eclipse/papyrus/diagram/clazz/part/UMLDiagramEditorPlugin.java7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/META-INF/MANIFEST.MF9
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/src/org/eclipse/papyrus/diagram/common/groups/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/src/org/eclipse/papyrus/diagram/common/palette/customaction/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF31
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/src/org/eclipse/papyrus/diagram/common/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF14
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/src/org/eclipse/papyrus/diagram/communication/part/UMLDiagramEditorPlugin.java11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/src/org/eclipse/papyrus/diagram/component/part/UMLDiagramEditorPlugin.java5
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF16
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/src/org/eclipse/papyrus/diagram/composite/part/UMLDiagramEditorPlugin.java7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF8
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/src/org/eclipse/papyrus/diagram/deployment/part/UMLDiagramEditorPlugin.java5
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/.project56
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/src/org/eclipse/papyrus/diagram/emftree/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/src/org/eclipse/papyrus/diagram/icons/uml/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/META-INF/MANIFEST.MF12
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/src/org/eclipse/papyrus/diagram/menu/Activator.java4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF9
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/src/org/eclipse/papyrus/diagram/modelexplorer/Activator.java8
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF11
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/src-gen/org/eclipse/papyrus/uml/diagram/pkg/Activator.java6
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/META-INF/MANIFEST.MF9
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF13
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/Activator.java4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF17
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/src/org/eclipse/papyrus/diagram/profile/part/UMLDiagramEditorPlugin.java9
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.project2
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF12
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/src/org/eclipse/papyrus/diagram/sequence/part/UMLDiagramEditorPlugin.java7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.project56
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF15
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/src/org/eclipse/papyrus/diagram/statemachine/part/UMLDiagramEditorPlugin.java5
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/.project56
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF12
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/src/org/eclipse/papyrus/diagram/usecase/part/UMLDiagramEditorPlugin.java7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/.project56
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/src/org/eclipse/papyrus/wizards/Activator.java8
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare.ui/.project56
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare.ui/META-INF/MANIFEST.MF8
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare.ui/src/org/eclipse/papyrus/compare/ui/Activator.java4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.compare/src/org/eclipse/papyrus/compare/Activator.java6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF11
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/src/org/eclipse/papyrus/controlmode/umlprofiles/Activator.java4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.documentation.profile/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.documentation.profile/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.documentation/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.documentation/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.extensionpoints/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.extensionpoints/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.extensionpoints/src/org/eclipse/papyrus/extensionpoints/uml2/Activator.java4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.icons/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.icons/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.icons/src/org/eclipse/papyrus/icons/uml/Activator.java6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF8
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.pastemanager/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.pastemanager/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.pastemanager/src/org/eclipse/papyrus/pastemanager/Activator.java16
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.perspective/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.perspective/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.perspective/src/org/eclipse/papyrus/perspective/Activator.java4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.profile/src/org/eclipse/papyrus/profile/Activator.java6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/META-INF/MANIFEST.MF7
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.service.types/src/org/eclipse/papyrus/uml/service/types/Activator.java2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.templaterepository/.project2
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.templaterepository/META-INF/MANIFEST.MF5
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.templaterepository/src/org/eclipse/papyrus/templaterepository/Activator.java6
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/src/org/eclipse/papyrus/uml/ui/perspectiveconfiguration/Activator.java6
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.runtime/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbed.profile/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.appearance/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties.view/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF10
-rw-r--r--plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/table/org.eclipse.papyrus.uml.table.widgets.celleditors/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.common.xtext.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.parameter.xtext.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.property.xtext.ui/META-INF/MANIFEST.MF4
-rwxr-xr-xplugins/uml/textedit/org.eclipse.papyrus.uml.textedit.state.xtext.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.transition.xtext.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.extendedtypes/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF2
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF2
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF6
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF4
-rw-r--r--plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF16
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF6
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF4
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF4
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF2
-rw-r--r--plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF4
331 files changed, 1148 insertions, 1071 deletions
diff --git a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
index da63c12da4b..79b88d4fb85 100644
--- a/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.extensionpoints.editors/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui.editors;bundle-version="3.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.emf.edit.ui;bundle-version:="2.4.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.emf.edit.ui;bundle-version="2.4.0",
org.antlr.runtime;bundle-version="3.0.0"
Export-Package: org.eclipse.papyrus.extensionpoints.editors,
org.eclipse.papyrus.extensionpoints.editors.configuration,
diff --git a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
index ba505e4ba87..63639e77945 100644
--- a/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.readonly/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.onefile;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.onefile;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.300"
Export-Package: org.eclipse.papyrus.readonly,
org.eclipse.papyrus.readonly.handlers
diff --git a/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
index 1c8853a3eaa..89da92f1556 100644
--- a/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.papyrus.svn/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.onefile;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.onefile;bundle-version="0.9.0",
org.eclipse.team.svn.ui,
org.eclipse.gmf.runtime.common.core,
org.eclipse.emf.ecore,
org.eclipse.team.svn.core,
org.eclipse.papyrus.readonly;bundle-version="0.9.0",
- org.eclipse.papyrus.commands;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.svn
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF b/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
index 04c737bed95..2e69d400a77 100644
--- a/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
+++ b/plugins/core/org.eclipse.xtext.gmf.glue/META-INF/MANIFEST.MF
@@ -16,9 +16,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.xtext.ui.shared;bundle-version="1.0.1",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.sasheditor;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.sasheditor;bundle-version="0.9.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0"
Bundle-Vendor: Eclipse Modeling Project
Bundle-ActivationPolicy: lazy
diff --git a/plugins/customization/org.eclipse.papyrus.customization.palette/.project b/plugins/customization/org.eclipse.papyrus.customization.palette/.project
index dc69a91d19d..cdc3f107099 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.palette/.project
+++ b/plugins/customization/org.eclipse.papyrus.customization.palette/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.common.palette.customization</name>
+ <name>org.eclipse.papyrus.customization.palette</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.palette/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.palette/META-INF/MANIFEST.MF
index 0a2f1fa900d..538438716ce 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.palette/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.palette/META-INF/MANIFEST.MF
@@ -1,27 +1,25 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.pde;bundle-version="3.6.0",
org.eclipse.pde.ui;bundle-version="3.6.0",
- org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.browser;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
+ org.eclipse.papyrus.uml.diagram.paletteconfiguration;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version:="0.1.0",
- org.eclipse.papyrus.paletteconfiguration.customization;bundle-version:="0.9.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0"
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.customization.paletteconfiguration;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0"
Export-Package: org.eclipse.papyrus.diagram.common.palette.customization,
org.eclipse.papyrus.diagram.common.palette.customization.dialog,
org.eclipse.papyrus.diagram.common.palette.customization.proxies,
org.eclipse.papyrus.diagram.common.part
Bundle-Vendor: %providerName
-Fragment-Host: org.eclipse.papyrus.diagram.common;bundle-version="0.8.
- 0"
+Fragment-Host: org.eclipse.papyrus.uml.diagram.common;bundle-version="0.8.0"
Eclipse-PatchFragment: true
Bundle-ClassPath: .
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %fragmentName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.custom
- ization;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.customization.palette;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/.project b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/.project
index 6d5b26d9c7e..31a4c55ab3a 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/.project
+++ b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.paletteconfiguration.customization</name>
+ <name>org.eclipse.papyrus.customization.paletteconfiguration</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
index 63402da8a50..cc7c66d9dae 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.paletteconfiguration;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
- org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0",
- org.eclipse.papyrus.paletteconfiguration.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.paletteconfiguration.customization,
org.eclipse.papyrus.paletteconfiguration.customization.queries
Bundle-Vendor: %Bundle-Vendor
@@ -16,7 +16,6 @@ Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.customizati
on.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration.customiz
- ation;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.customization.paletteconfiguration;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/customization/Activator.java b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/customization/Activator.java
index e1754f0807b..947eea2ca17 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/customization/Activator.java
+++ b/plugins/customization/org.eclipse.papyrus.customization.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/customization/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.paletteconfiguration.customization"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.customization.paletteconfiguration"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/.project b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/.project
index cd8057fbd22..e94613a0d4e 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/.project
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.generation</name>
+ <name>org.eclipse.papyrus.customization.properties.generation</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/META-INF/MANIFEST.MF
index efdda0a9d71..515951ef732 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/META-INF/MANIFEST.MF
@@ -15,21 +15,20 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.6.1",
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
org.eclipse.m2m.qvt.oml;bundle-version="3.0.1",
org.eclipse.m2m.qvt.oml.common;bundle-version="2.1.0",
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
- org.eclipse.papyrus.views.properties.model.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.views.properties.model.edit;bundle-version="0.9.0",
org.eclipse.emf.common.ui;bundle-version="2.6.0",
org.eclipse.core.resources;bundle-version="3.6.0",
- org.eclipse.uml2.uml;bundle-version:="3.1.1",
+ org.eclipse.uml2.uml;bundle-version="3.1.1",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.3.100",
org.eclipse.emf.databinding;bundle-version="1.2.0",
org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.papyrus.properties.model.xwt;bundle-version="0.9.0"
+ org.eclipse.papyrus.customization.properties.model.xwt;bundle-version="0.9.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 0.9.0.qualifier
Eclipse-BuddyPolicy: dependent
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.generation.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.generation;singlet
- on:=true
+Bundle-SymbolicName: org.eclipse.papyrus.customization.properties.generation;singleton:=true
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/src/org/eclipse/papyrus/properties/generation/Activator.java b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/src/org/eclipse/papyrus/properties/generation/Activator.java
index 6c1b86b7874..158d0312089 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.generation/src/org/eclipse/papyrus/properties/generation/Activator.java
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.generation/src/org/eclipse/papyrus/properties/generation/Activator.java
@@ -27,7 +27,7 @@ public class Activator extends AbstractUIPlugin {
public static LogHelper log;
/** The plug-in ID */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.generation"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.customization.properties.generation"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/.project b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/.project
index 80d74c84a52..c5803e5dca0 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/.project
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.model.xwt</name>
+ <name>org.eclipse.papyrus.customization.properties.model.xwt</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/META-INF/MANIFEST.MF
index dd6e46eb200..020b36c2a7e 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.m2m.qvt.oml;bundle-version="3.1.0",
- org.eclipse.gmt.modisco.xml;bundle-version:="0.9.0",
- org.eclipse.gmt.modisco.xml.discoverer;bundle-version:="0.9.0",
+ org.eclipse.gmt.modisco.xml;bundle-version="0.9.0",
+ org.eclipse.gmt.modisco.xml.discoverer;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
- org.eclipse.wst.xml.core;bundle-version:="1.1.600",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.wst.xml.core;bundle-version="1.1.600",
org.eclipse.core.resources;bundle-version="3.7.100"
Export-Package: org.eclipse.papyrus.properties.model.xwt.resource
Bundle-Vendor: %Bundle-Vendor
@@ -16,7 +16,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.model.xwt.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.model.xwt;singleto
- n:=true
+Bundle-SymbolicName: org.eclipse.papyrus.customization.properties.model.xwt;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/src/org/eclipse/papyrus/properties/model/xwt/Activator.java b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/src/org/eclipse/papyrus/properties/model/xwt/Activator.java
index 98cc20ffb97..59c1c41c9a2 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/src/org/eclipse/papyrus/properties/model/xwt/Activator.java
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties.model.xwt/src/org/eclipse/papyrus/properties/model/xwt/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
/**
* The plug-in ID
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.model.xwt"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.customization.properties.model.xwt"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties/.project b/plugins/customization/org.eclipse.papyrus.customization.properties/.project
index 9df55dfd397..08da554bbc0 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties/.project
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.customization</name>
+ <name>org.eclipse.papyrus.customization.properties</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization.properties/META-INF/MANIFEST.MF
index 902e50480de..6b56adb96b4 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties/META-INF/MANIFEST.MF
@@ -1,14 +1,14 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.core.resources;bundle-version:="3.6.0",
- org.eclipse.core.databinding.observable;bundle-version:="1.3.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version:="3.5.100",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.core.resources;bundle-version="3.6.0",
+ org.eclipse.core.databinding.observable;bundle-version="1.3.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.100",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties;bundle-version:="0.9.0",
org.eclipse.papyrus.views.properties.model;bundle-version:="0.9.0",
- org.eclipse.papyrus.properties.model.xwt;bundle-version:="0.9.0",
+ org.eclipse.papyrus.customization.properties.model.xwt;bundle-version="0.9.0",
org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
@@ -17,7 +17,7 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.emf.databinding;bundle-version:="1.2.0"
+ org.eclipse.emf.databinding;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.properties.customization.editor,
org.eclipse.papyrus.properties.customization.modelelement,
org.eclipse.papyrus.properties.customization.providers
@@ -30,7 +30,6 @@ Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.customization.Activat
or
-Bundle-SymbolicName: org.eclipse.papyrus.properties.customization;sing
- leton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.customization.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties/UICustom/context.uiCustom b/plugins/customization/org.eclipse.papyrus.customization.properties/UICustom/context.uiCustom
index 3c8fd121efe..76b5a18db6a 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties/UICustom/context.uiCustom
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties/UICustom/context.uiCustom
@@ -18,7 +18,7 @@
</references>
<references referenceName="views">
<customizedFeatures customizedFeature="icon">
- <defaultValue xsi:type="uicustom:StaticFeatureValue" value="/org.eclipse.papyrus.properties.customization/icons/MultiView.gif"/>
+ <defaultValue xsi:type="uicustom:StaticFeatureValue" value="/org.eclipse.papyrus.customization.properties/icons/MultiView.gif"/>
</customizedFeatures>
<customizedFeatures customizedFeature="label">
<defaultValue xsi:type="uicustom:StaticFeatureValue" value="Views"/>
@@ -36,7 +36,7 @@
</defaultValue>
</customizedFeatures>
<customizedFeatures customizedFeature="icon">
- <defaultValue xsi:type="uicustom:StaticFeatureValue" value="/org.eclipse.papyrus.properties.customization/icons/DataContexts.gif"/>
+ <defaultValue xsi:type="uicustom:StaticFeatureValue" value="/org.eclipse.papyrus.customization.properties/icons/DataContexts.gif"/>
</customizedFeatures>
<customizedFeatures customizedFeature="label">
<defaultValue xsi:type="uicustom:StaticFeatureValue" value="Data contexts"/>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties/plugin.xml b/plugins/customization/org.eclipse.papyrus.customization.properties/plugin.xml
index f093ff622c5..4e60d371c66 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties/plugin.xml
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties/plugin.xml
@@ -22,11 +22,11 @@
</modelqueryset>
</extension>
<extension point="org.eclipse.ui.editors">
- <editor class="org.eclipse.papyrus.properties.customization.editor.UIEditor" contributorClass="org.eclipse.papyrus.properties.customization.editor.ContextEditorActionBarContributor" default="true" extensions="ctx" icon="platform:/plugin/org.eclipse.papyrus.views.properties.model.edit/icons/full/obj16/Context.gif" id="org.eclipse.papyrus.property.customization.UIEditor" name="%editor.name">
+ <editor class="org.eclipse.papyrus.properties.customization.editor.UIEditor" contributorClass="org.eclipse.papyrus.properties.customization.editor.ContextEditorActionBarContributor" default="true" extensions="ctx" icon="platform:/plugin/org.eclipse.papyrus.views.properties.model.edit/icons/full/obj16/Context.gif" id="org.eclipse.papyrus.customization.properties.UIEditor" name="%editor.name">
</editor>
</extension>
<extension point="org.eclipse.emf.ecore.uri_mapping">
- <mapping source="pathmap://PPECustom/" target="platform:/plugin/org.eclipse.papyrus.properties.customization/Model/">
+ <mapping source="pathmap://PPECustom/" target="platform:/plugin/org.eclipse.papyrus.customization.properties/Model/">
</mapping>
</extension>
<extension point="org.eclipse.papyrus.properties.environment">
@@ -48,7 +48,7 @@
category="org.eclipse.papyrus.views.category"
class="org.eclipse.papyrus.properties.customization.editor.preview.Preview"
icon="icons/preview.png"
- id="org.eclipse.papyrus.properties.customization.preview"
+ id="org.eclipse.papyrus.customization.properties.preview"
name="%view.name"
restorable="true">
</view>
@@ -58,7 +58,7 @@
<perspective
class="org.eclipse.papyrus.properties.customization.perspective.CustomizationPerspectiveFactory"
icon="icons/Customization.gif"
- id="org.eclipse.papyrus.properties.customization.perspective"
+ id="org.eclipse.papyrus.customization.properties.perspective"
name="%perspective.name">
</perspective>
</extension>
@@ -73,7 +73,7 @@
<page
category="org.eclipse.papyrus.preferences.generalcategory"
class="org.eclipse.papyrus.properties.customization.preferences.CustomizationPreferencePage"
- id="org.eclipse.papyrus.properties.customization.preferences"
+ id="org.eclipse.papyrus.customization.properties.preferences"
name="%page.name">
</page>
</extension>
@@ -81,27 +81,27 @@
point="org.eclipse.ui.handlers">
<handler
class="org.eclipse.papyrus.properties.customization.ui.OpenCustomization"
- commandId="org.eclipse.papyrus.properties.customization.customize">
+ commandId="org.eclipse.papyrus.customization.properties.customize">
</handler>
<handler
class="org.eclipse.papyrus.properties.customization.editor.actions.TogglePreviewAction"
- commandId="org.eclipse.papyrus.properties.customization.TogglePreview">
+ commandId="org.eclipse.papyrus.customization.properties.TogglePreview">
</handler>
<handler
class="org.eclipse.papyrus.properties.customization.editor.actions.ToggleDataContextAction"
- commandId="org.eclipse.papyrus.properties.customization.ToggleDataContext">
+ commandId="org.eclipse.papyrus.customization.properties.ToggleDataContext">
</handler>
</extension>
<extension
point="org.eclipse.ui.commands">
<command
description="%command.description"
- id="org.eclipse.papyrus.properties.customization.customize"
+ id="org.eclipse.papyrus.customization.properties.customize"
name="%command.name">
</command>
<command
description="%command.description.0"
- id="org.eclipse.papyrus.properties.customization.TogglePreview"
+ id="org.eclipse.papyrus.customization.properties.TogglePreview"
name="%command.name.0">
<state
class="org.eclipse.papyrus.properties.customization.editor.actions.TogglePreviewState"
@@ -110,11 +110,11 @@
</command>
<command
description="%command.description.1"
- id="org.eclipse.papyrus.properties.customization.ToggleDataContext"
+ id="org.eclipse.papyrus.customization.properties.ToggleDataContext"
name="%command.name.1">
<state
class="org.eclipse.papyrus.properties.customization.editor.actions.ToggleDataContextState"
- id="org.eclipse.papyrus.properties.customization.displayContextState">
+ id="org.eclipse.papyrus.customizatio.propertiesn.displayContextState">
</state>
</command>
</extension>
@@ -124,9 +124,9 @@
allPopups="false"
locationURI="menu:org.eclipse.ui.views.PropertySheet">
<command
- commandId="org.eclipse.papyrus.properties.customization.customize"
+ commandId="org.eclipse.papyrus.customization.properties.customize"
icon="icons/Customization.gif"
- id="org.eclipse.papyrus.properties.customization.customizehandler"
+ id="org.eclipse.papyrus.customization.properties.customizehandler"
label="%customize.command.label"
mnemonic="%customize.command.mnemonic"
mode="FORCE_TEXT"
@@ -141,12 +141,12 @@
allPopups="false"
locationURI="toolbar:org.eclipse.ui.main.toolbar">
<toolbar
- id="org.eclipes.papyrus.properties.customization"
+ id="org.eclipes.papyrus.customization.properties"
label="%toolbar.label">
<command
- commandId="org.eclipse.papyrus.properties.customization.TogglePreview"
+ commandId="org.eclipse.papyrus.customization.properties.TogglePreview"
icon="icons/preview.png"
- id="org.eclipse.papyrus.properties.customization.togglePreview"
+ id="org.eclipse.papyrus.customization.properties.togglePreview"
label="%command.label"
style="toggle"
tooltip="%command.tooltip">
@@ -154,15 +154,15 @@
<with
variable="activeEditorId">
<equals
- value="org.eclipse.papyrus.property.customization.UIEditor">
+ value="org.eclipse.papyrus.customization.properties.UIEditor">
</equals>
</with>
</visibleWhen>
</command>
<command
- commandId="org.eclipse.papyrus.properties.customization.ToggleDataContext"
+ commandId="org.eclipse.papyrus.customization.properties.ToggleDataContext"
icon="icons/DataContexts.gif"
- id="org.eclipse.papyrus.properties.customization.toggleDataContext"
+ id="org.eclipse.papyrus.customization.properties.toggleDataContext"
label="%command.label.0"
style="toggle"
tooltip="%command.tooltip.0">
@@ -170,7 +170,7 @@
<with
variable="activeEditorId">
<equals
- value="org.eclipse.papyrus.property.customization.UIEditor">
+ value="org.eclipse.papyrus.customization.properties.UIEditor">
</equals>
</with>
</visibleWhen>
diff --git a/plugins/customization/org.eclipse.papyrus.customization.properties/src/org/eclipse/papyrus/properties/customization/Activator.java b/plugins/customization/org.eclipse.papyrus.customization.properties/src/org/eclipse/papyrus/properties/customization/Activator.java
index a029c48212a..6724079c389 100644
--- a/plugins/customization/org.eclipse.papyrus.customization.properties/src/org/eclipse/papyrus/properties/customization/Activator.java
+++ b/plugins/customization/org.eclipse.papyrus.customization.properties/src/org/eclipse/papyrus/properties/customization/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -31,17 +31,17 @@ public class Activator extends AbstractUIPlugin {
/**
* The plug-in ID
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.customization"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.customization.properties"; //$NON-NLS-1$
/**
* The Preview view ID
*/
- public static final String PREVIEW_ID = "org.eclipse.papyrus.properties.customization.preview"; //$NON-NLS-1$
+ public static final String PREVIEW_ID = "org.eclipse.papyrus.customization.properties.preview"; //$NON-NLS-1$
/**
* The Customization perspective ID
*/
- public static final String CUSTOMIZATION_PERSPECTIVE_ID = "org.eclipse.papyrus.properties.customization.perspective"; //$NON-NLS-1$
+ public static final String CUSTOMIZATION_PERSPECTIVE_ID = "org.eclipse.papyrus.customization.properties.perspective"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF b/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
index 91c8744c564..43152e852ce 100644
--- a/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
+++ b/plugins/customization/org.eclipse.papyrus.customization/META-INF/MANIFEST.MF
@@ -8,22 +8,22 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.ui;bundle-version:="3.7.0",
+ org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.emf.ecore,
org.eclipse.pde;bundle-version="3.6.100",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.pde.core;bundle-version="3.7.0",
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.pde.ui;bundle-version="3.6.100",
- org.eclipse.ui.ide;bundle-version:="3.7.0",
- org.eclipse.papyrus.views.properties.model;bundle-version:="0.9.0",
+ org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.papyrus.eclipse.project.editors;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.4.0",
- org.eclipse.emf.edit;bundle-version:="2.7.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0"
+ org.eclipse.emf.edit;bundle-version="2.7.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
index 6832cc96f24..0bab1c4c8a4 100644
--- a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
+++ b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.ui.perspectiveconfiguration</name>
+ <name>org.eclipse.papyrus.editor.perspectiveconfiguration</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
index f6266aa3138..418dbe250a6 100644
--- a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -10,7 +10,6 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.ui.perspectiveconfiguration.Acti
vator
-Bundle-SymbolicName: org.eclipse.papyrus.ui.perspectiveconfiguration;s
- ingleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.editor.perspectiveconfiguration;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/src/org/eclipse/papyrus/ui/perspectiveconfiguration/Activator.java b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/src/org/eclipse/papyrus/ui/perspectiveconfiguration/Activator.java
index 452dfb8bbbc..c46282bfcbe 100644
--- a/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/src/org/eclipse/papyrus/ui/perspectiveconfiguration/Activator.java
+++ b/plugins/editor/org.eclipse.papyrus.editor.perspectiveconfiguration/src/org/eclipse/papyrus/ui/perspectiveconfiguration/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.ui.perspectiveconfiguration"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.editor.perspectiveconfiguration"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -43,6 +43,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -56,6 +57,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
index 64d9ab758d0..11a161442e1 100644
--- a/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
+++ b/plugins/editor/org.eclipse.papyrus.editor/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0"
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.editor
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/.project
index aaa4ac1f908..9594b67e4ed 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.adaptor.emf</name>
+ <name>org.eclipse.papyrus.infra.core.adaptor.emf</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
index fada431d5fb..95a9de41e6e 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0"
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.core.adaptor.emf
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -8,7 +8,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.adaptor.emf.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.emf;singleton:=t
- rue
+Bundle-SymbolicName: org.eclipse.papyrus.infra.core.adaptor.emf;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/src/org/eclipse/papyrus/core/adaptor/emf/Activator.java b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/src/org/eclipse/papyrus/core/adaptor/emf/Activator.java
index 73b351dbab1..e40eedda638 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/src/org/eclipse/papyrus/core/adaptor/emf/Activator.java
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.emf/src/org/eclipse/papyrus/core/adaptor/emf/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.emftree";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.core.adaptor.emf";
// The shared instance
private static Activator plugin;
@@ -38,6 +38,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -48,6 +49,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/.project
index a1a1ef35d42..dd07a398bb9 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.adaptor.gmf</name>
+ <name>org.eclipse.papyrus.infra.core.adaptor.gmf</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
index 36ff059b36f..da0af266390 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/META-INF/MANIFEST.MF
@@ -7,12 +7,11 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.5.0",
org.eclipse.emf.ecore.edit;bundle-version="2.5.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.adaptor.gmf.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.core.adaptor.gmf;singleton:=t
- rue
+Bundle-SymbolicName: org.eclipse.papyrus.infra.core.adaptor.gmf;singleton:=true
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/src/org/eclipse/papyrus/core/adaptor/gmf/Activator.java b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/src/org/eclipse/papyrus/core/adaptor/gmf/Activator.java
index 711abe42610..7d72f2f1fa6 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/src/org/eclipse/papyrus/core/adaptor/gmf/Activator.java
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.adaptor.gmf/src/org/eclipse/papyrus/core/adaptor/gmf/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -43,7 +43,7 @@ public class Activator extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.gmf.multipages"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.infra.core.adaptor.gmf"; //$NON-NLS-1$
/**
* @generated
@@ -65,18 +65,19 @@ public class Activator extends AbstractUIPlugin {
*/
public Activator() {
}
-
- /** Logging helper */
- public static LogHelper log;
+
+ /** Logging helper */
+ public static LogHelper log;
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
// register the login helper
- log = new LogHelper(this);
+ log = new LogHelper(this);
PreferencesHint.registerPreferenceStore(DIAGRAM_PREFERENCES_HINT, getPreferenceStore());
adapterFactory = createAdapterFactory();
}
@@ -84,6 +85,7 @@ public class Activator extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -173,7 +175,7 @@ public class Activator extends AbstractUIPlugin {
final IPath p = new Path(path);
if(p.isAbsolute() && p.segmentCount() > 1) {
return AbstractUIPlugin.imageDescriptorFromPlugin(p.segment(0), p.removeFirstSegments(1).makeAbsolute()
- .toString());
+ .toString());
} else {
return getBundledImageDescriptor(p.makeAbsolute().toString());
}
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/.project
index 36deae1cccb..7968d5c7fbf 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.log</name>
+ <name>org.eclipse.papyrus.infra.log</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/META-INF/MANIFEST.MF
index 37d3ff461be..1136e9943ea 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/META-INF/MANIFEST.MF
@@ -8,6 +8,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.log.internal.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.log
+Bundle-SymbolicName: org.eclipse.papyrus.infra.log
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/src/org/eclipse/papyrus/log/internal/Activator.java b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/src/org/eclipse/papyrus/log/internal/Activator.java
index fecc0d47e3e..e40f9fbc22d 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.log/src/org/eclipse/papyrus/log/internal/Activator.java
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.log/src/org/eclipse/papyrus/log/internal/Activator.java
@@ -19,7 +19,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends Plugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.log";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.log";
// The shared instance
private static Activator plugin;
@@ -35,6 +35,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -45,6 +46,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/.project
index 5c2ab4a43c7..ebd7fbdba7e 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.sasheditor.di</name>
+ <name>org.eclipse.papyrus.infra.sasheditor.di</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/META-INF/MANIFEST.MF
index ac6310e4606..be0aa23f171 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor.di/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.swt;bundle-version="3.5.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.sasheditor;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ui;bundle-version="3.6.0",
org.eclipse.core.runtime;bundle-version="3.6.0",
org.eclipse.emf.ecore;visibility:=reexport,
@@ -21,6 +21,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.sasheditor.di;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.sasheditor.di;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/.project
index ee4fd880c8a..e063ebdd0ba 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.sasheditor</name>
+ <name>org.eclipse.papyrus.infra.sasheditor</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/META-INF/MANIFEST.MF
index 9bc12288cef..04009b4604d 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/META-INF/MANIFEST.MF
@@ -13,12 +13,12 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.gef,
- org.junit;bundle-version:="4.8.1";resolution:=optional,
- org.eclipse.papyrus.log;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version:="3.7.0"
+ org.junit;bundle-version="4.8.1";resolution:=optional,
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.core.runtime;bundle-version="3.7.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.sasheditor.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.sasheditor;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.sasheditor;singleton:=true
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/src/org/eclipse/papyrus/sasheditor/Activator.java b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/src/org/eclipse/papyrus/sasheditor/Activator.java
index 080fb0096bf..5ef671afa0a 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/src/org/eclipse/papyrus/sasheditor/Activator.java
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core.sasheditor/src/org/eclipse/papyrus/sasheditor/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** Plugin ID */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.sasheditor";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.sasheditor";
/** shared instance of the plugin */
private static Activator plugin;
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core/.project b/plugins/infra/core/org.eclipse.papyrus.infra.core/.project
index 9c5fd1135cb..5aff7adb53d 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core/.project
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core</name>
+ <name>org.eclipse.papyrus.infra.core</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
index 24eb2b2e474..f119db8a1f4 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core/META-INF/MANIFEST.MF
@@ -1,10 +1,10 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.sasheditor;bundle-version:="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.infra.sasheditor;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ui.ide;bundle-version="3.4.0";visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.1.0";visibility:=reexport,
org.eclipse.emf.edit.ui;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.commands;bundle-version="0.9.0";visibility:=reexport
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0";visibility:=reexport
Export-Package: org.eclipse.papyrus.core,
org.eclipse.papyrus.core.contentoutline,
org.eclipse.papyrus.core.editor,
@@ -15,7 +15,7 @@ Export-Package: org.eclipse.papyrus.core,
org.eclipse.papyrus.core.lifecycleevents,
org.eclipse.papyrus.core.listenerservice,
org.eclipse.papyrus.core.modelsetquery,
- org.eclipse.papyrus.core.modelsetquery.impl;x-friends:="org.eclipse.papyrus.resourceloading.umlprofile",
+ org.eclipse.papyrus.core.modelsetquery.impl;x-friends:="org.eclipse.papyrus.uml.resourceloading.profile",
org.eclipse.papyrus.core.multidiagram.actionbarcontributor,
org.eclipse.papyrus.core.services,
org.eclipse.papyrus.core.ui,
@@ -31,6 +31,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.core;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.core;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/core/org.eclipse.papyrus.infra.core/src/org/eclipse/papyrus/core/Activator.java b/plugins/infra/core/org.eclipse.papyrus.infra.core/src/org/eclipse/papyrus/core/Activator.java
index 3307889fdc3..d09a7a69e83 100644
--- a/plugins/infra/core/org.eclipse.papyrus.infra.core/src/org/eclipse/papyrus/core/Activator.java
+++ b/plugins/infra/core/org.eclipse.papyrus.infra.core/src/org/eclipse/papyrus/core/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.core";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.core";
// The shared instance
private static Activator plugin;
@@ -44,6 +44,7 @@ public class Activator extends AbstractUIPlugin {
* org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext
* )
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -58,6 +59,7 @@ public class Activator extends AbstractUIPlugin {
* org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext
* )
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
log = null;
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/.project
index 8e03a7a93a8..7eaedb9bed9 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.commands</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.commands</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
index 57a1db4368f..e68f0fc9381 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.commands,
org.eclipse.papyrus.commands.wrappers
Require-Bundle: org.eclipse.ui.workbench,
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.gmf.runtime.common.core,
org.eclipse.emf.common,
org.eclipse.gef,
@@ -13,6 +13,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.commands.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.commands;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.commands;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/src/org/eclipse/papyrus/commands/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/src/org/eclipse/papyrus/commands/Activator.java
index 89aac5d8c7a..1de726d6b83 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/src/org/eclipse/papyrus/commands/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.commands/src/org/eclipse/papyrus/commands/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 Atos.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.commands"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.commands"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -42,6 +42,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -54,6 +55,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
log = null;
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/.project
index 9e5180418f0..ae030e4c71b 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.navigation</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.navigation</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
index 6ddf6acea67..ffc9452e9b4 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Export-Package: org.eclipse.papyrus.navigation,
org.eclipse.papyrus.navigation.decorator,
org.eclipse.papyrus.navigation.preference
-Require-Bundle: org.eclipse.papyrus.core;bundle-version:="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.commands;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
- org.eclipse.core.expressions;bundle-version:="3.4.300",
- org.eclipse.papyrus.views.modelexplorer;bundle-version:="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.core.expressions;bundle-version="3.4.300",
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.ui.navigator;bundle-version="3.5.100",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
- org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.9.0"
+ org.eclipse.papyrus.editor.perspectiveconfiguration;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -19,6 +19,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.navigation.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.navigation;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.navigation;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/src/org/eclipse/papyrus/navigation/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/src/org/eclipse/papyrus/navigation/Activator.java
index 08a476750a8..042ac1696d4 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/src/org/eclipse/papyrus/navigation/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.navigation/src/org/eclipse/papyrus/navigation/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.navigation"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.navigation"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -39,6 +39,7 @@ public class Activator extends AbstractUIPlugin {
* @see
* org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -52,6 +53,7 @@ public class Activator extends AbstractUIPlugin {
* @see
* org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/.project
index a96d0f5d7e8..f47f80c973c 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.outline</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.outline</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
index e0d801c0c5b..568bc25c009 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0"
Export-Package: org.eclipse.papyrus.outline,
@@ -12,6 +12,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.outline.internal.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.outline;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.outline;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/src/org/eclipse/papyrus/outline/internal/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/src/org/eclipse/papyrus/outline/internal/Activator.java
index bc356cce566..420f2f9dcc6 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/src/org/eclipse/papyrus/outline/internal/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.outline/src/org/eclipse/papyrus/outline/internal/Activator.java
@@ -27,7 +27,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.outline";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.outline";
// The shared instance
private static Activator plugin;
@@ -43,6 +43,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -53,6 +54,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
@@ -78,8 +80,9 @@ public class Activator extends AbstractUIPlugin {
IPath path = new Path(pathString);
URL uri = FileLocator.find(Activator.plugin.getBundle(), path, null);
- if(uri == null)
+ if(uri == null) {
return null;
+ }
return ImageDescriptor.createFromURL(uri);
}
}
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/.project
index deb7f5cdffd..e5424473c0d 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.preferences</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.preferences</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
index 37a81ecc553..83314ae82f3 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.preferences,
org.eclipse.papyrus.preferences.initializer,
org.eclipse.papyrus.preferences.jface.preference;x-internal:=true,
@@ -18,6 +18,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.preferences.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.preferences;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.preferences;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/src/org/eclipse/papyrus/preferences/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/src/org/eclipse/papyrus/preferences/Activator.java
index e12333d90cf..7f1d11533bb 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/src/org/eclipse/papyrus/preferences/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.preferences/src/org/eclipse/papyrus/preferences/Activator.java
@@ -1,6 +1,6 @@
/****************************************************************************
* Copyright (c) 2008 Atos Origin.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -27,7 +27,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.preferences"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.preferences"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -51,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -58,6 +59,7 @@ public class Activator extends AbstractUIPlugin {
log = new LogHelper(plugin);
}
+ @Override
public IPreferenceStore getPreferenceStore() {
// Create the preference store lazily.
if(papyrusPreferenceStore == null) {
@@ -72,6 +74,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
log = null;
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/.project
index f20aa0ea0e6..406b60555a6 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.notation</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.properties</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
index 81b71e8a006..04f460e3f3b 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/META-INF/MANIFEST.MF
@@ -3,25 +3,24 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
- org.eclipse.gmf.runtime.notation;bundle-version:="1.4.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.4.1",
org.eclipse.gef;bundle-version="3.7.0",
org.eclipse.emf.edit;bundle-version="2.7.0",
- org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.4.0",
org.eclipse.emf.databinding;bundle-version="1.2.0",
org.eclipse.core.databinding.property;bundle-version="1.4.0",
org.eclipse.core.databinding.beans;bundle-version="1.2.100",
org.eclipse.papyrus.uml.properties;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.emf.edit.ui;bundle-version="2.7.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.notation.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.notation;singleton
- :=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/src/org/eclipse/papyrus/properties/notation/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/src/org/eclipse/papyrus/properties/notation/Activator.java
index 3d60e383d7a..d86a22e5a8e 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/src/org/eclipse/papyrus/properties/notation/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.properties/src/org/eclipse/papyrus/properties/notation/Activator.java
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
/**
* The plug-in ID
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.notation"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.properties"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/.project b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/.project
index 7fd416f0d38..37940b6f3ec 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/.project
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.widgets.gmf</name>
+ <name>org.eclipse.papyrus.infra.gmfdiag.widgets</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
index 37d3fac289b..172060866d0 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/META-INF/MANIFEST.MF
@@ -1,10 +1,10 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.4.2",
- org.eclipse.core.databinding;bundle-version:="1.4.0",
+ org.eclipse.core.databinding;bundle-version="1.4.0",
org.eclipse.jface.databinding;bundle-version="1.5.0",
org.eclipse.core.databinding.property;bundle-version="1.4.0",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0"
@@ -14,6 +14,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.widgets.gmf.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.widgets.gmf;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.gmfdiag.widgets;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/src/org/eclipse/papyrus/widgets/gmf/Activator.java b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/src/org/eclipse/papyrus/widgets/gmf/Activator.java
index 980e6955834..19db1a0f44b 100644
--- a/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/src/org/eclipse/papyrus/widgets/gmf/Activator.java
+++ b/plugins/infra/gmfdiag/org.eclipse.papyrus.infra.gmfdiag.widgets/src/org/eclipse/papyrus/widgets/gmf/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.widgets.gmf"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.gmfdiag.widgets"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/infra/org.eclipse.papyrus.infra.export/.project b/plugins/infra/org.eclipse.papyrus.infra.export/.project
index b839fc41ae7..9e5f3639957 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.export/.project
+++ b/plugins/infra/org.eclipse.papyrus.infra.export/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.export</name>
+ <name>org.eclipse.papyrus.infra.export</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/org.eclipse.papyrus.infra.export/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.export/META-INF/MANIFEST.MF
index c94401fbef8..d9570b0f97d 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.export/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.export/META-INF/MANIFEST.MF
@@ -4,9 +4,9 @@ Require-Bundle: org.eclipse.ui.ide;bundle-version="3.7.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
org.eclipse.core.expressions;bundle-version="3.4.300",
org.eclipse.papyrus.views.properties.tabbedproperties.core;bundle-version="0.9.0",
- org.eclipse.emf.common.ui;bundle-version:="2.7.0",
+ org.eclipse.emf.common.ui;bundle-version="2.7.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
- org.eclipse.papyrus.onefile;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.onefile;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.export
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -14,6 +14,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.export.internal.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.export;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.export;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/.project b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/.project
index ffeb794c58d..4f76a49a8c6 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/.project
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.extendedtypes.emf</name>
+ <name>org.eclipse.papyrus.infra.extendedtypes.emf</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/META-INF/MANIFEST.MF
index 3ba96b62fd2..231669c17d7 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/META-INF/MANIFEST.MF
@@ -12,18 +12,17 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.query;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.uml2.uml;bundle-version="3.2.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.core.queries;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.queries.core;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.extendedtypes.emf.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes.emf;singleton:=
- true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.extendedtypes.emf;singleton:=true
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/src/org/eclipse/papyrus/extendedtypes/emf/Activator.java b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/src/org/eclipse/papyrus/extendedtypes/emf/Activator.java
index 63f7414b782..a540803106b 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/src/org/eclipse/papyrus/extendedtypes/emf/Activator.java
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes.emf/src/org/eclipse/papyrus/extendedtypes/emf/Activator.java
@@ -10,11 +10,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.extendedtypes.emf"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.extendedtypes.emf"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/** Logging helper */
public static LogHelper log;
@@ -28,6 +28,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -38,6 +39,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
log = null;
plugin = null;
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/.project b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/.project
index fbff794fb15..e9351f0b98e 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/.project
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.extendedtypes</name>
+ <name>org.eclipse.papyrus.infra.extendedtypes</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/META-INF/MANIFEST.MF
index 04d7e874f03..d26f3603668 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/META-INF/MANIFEST.MF
@@ -14,17 +14,17 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
org.eclipse.emf.ecore;bundle-version="2.7.0";visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="2.6.0";visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.query;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.uml2.uml;bundle-version="3.2.0";visibility:=reexport,
org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version:="1.4.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
- org.eclipse.papyrus.core.queries;bundle-version="0.9.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.queries.core;bundle-version="0.9.0",
org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.extendedtypes.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.extendedtypes;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.extendedtypes;singleton:=true
diff --git a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/src/org/eclipse/papyrus/extendedtypes/Activator.java b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/src/org/eclipse/papyrus/extendedtypes/Activator.java
index 4a4eacf8f18..b82465c8e8d 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/src/org/eclipse/papyrus/extendedtypes/Activator.java
+++ b/plugins/infra/org.eclipse.papyrus.infra.extendedtypes/src/org/eclipse/papyrus/extendedtypes/Activator.java
@@ -10,11 +10,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.extendedtypes"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.extendedtypes"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/** Logging helper */
public static LogHelper log;
@@ -28,6 +28,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -38,6 +39,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
log = null;
plugin = null;
diff --git a/plugins/infra/org.eclipse.papyrus.infra.onefile/.project b/plugins/infra/org.eclipse.papyrus.infra.onefile/.project
index cbc0ec4ed8e..3ab9eb83cfd 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.onefile/.project
+++ b/plugins/infra/org.eclipse.papyrus.infra.onefile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.onefile</name>
+ <name>org.eclipse.papyrus.infra.onefile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
index 68e0384aa3d..d5fbd68f1cd 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.onefile/META-INF/MANIFEST.MF
@@ -1,9 +1,9 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.ui.navigator,
org.eclipse.team.ui,
org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.ui.resources;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.ui.resources;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.onefile.model,
org.eclipse.papyrus.onefile.utils
Bundle-Vendor: %providerName
@@ -12,6 +12,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.onefile.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.onefile;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.onefile;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/org.eclipse.papyrus.infra.onefile/src/org/eclipse/papyrus/onefile/Activator.java b/plugins/infra/org.eclipse.papyrus.infra.onefile/src/org/eclipse/papyrus/onefile/Activator.java
index ecdacc05fbd..8794e7bf4ec 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.onefile/src/org/eclipse/papyrus/onefile/Activator.java
+++ b/plugins/infra/org.eclipse.papyrus.infra.onefile/src/org/eclipse/papyrus/onefile/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2011 Atos Origin Integration.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -20,7 +20,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.onefile"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.onefile"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -38,6 +38,7 @@ public class Activator extends AbstractUIPlugin {
* org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext
* )
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
* org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext
* )
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/.project b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/.project
index 72f62f5283f..05ae6afc904 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/.project
+++ b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.ui.resources</name>
+ <name>org.eclipse.papyrus.infra.ui.resources</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
index 19b27b08e03..01e7c79878c 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
+++ b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ltk.core.refactoring;bundle-version="3.5.200",
- org.eclipse.papyrus.controlmode;bundle-version="0.9.0",
- org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.controlmode;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.ui.resources.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.ui.resources;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.ui.resources;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/src/org/eclipse/papyrus/ui/resources/Activator.java b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/src/org/eclipse/papyrus/ui/resources/Activator.java
index 705c2d89351..f153c3ee1ce 100644
--- a/plugins/infra/org.eclipse.papyrus.infra.ui.resources/src/org/eclipse/papyrus/ui/resources/Activator.java
+++ b/plugins/infra/org.eclipse.papyrus.infra.ui.resources/src/org/eclipse/papyrus/ui/resources/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.ui.resources"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.ui.resources"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -42,6 +42,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -53,6 +54,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/.project b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/.project
index 1321a8d778e..d784407f2ea 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/.project
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.queries.configuration.edit</name>
+ <name>org.eclipse.papyrus.infra.queries.core.configuration.edit</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/META-INF/MANIFEST.MF
index f77e02fc0c0..cefeaba3e6e 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration.edit/META-INF/MANIFEST.MF
@@ -7,7 +7,7 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
@@ -20,6 +20,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.provi
der.ConfigurationEditPlugin$Implementation
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration.ed
- it;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.queries.core.configuration.edit;singleton:=true
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/.project b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/.project
index 047781ecf83..19b48341fa2 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/.project
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.queries.configuration</name>
+ <name>org.eclipse.papyrus.infra.queries.core.configuration</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/META-INF/MANIFEST.MF
index 99b8932ee55..59231e7d4c0 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core.configuration/META-INF/MANIFEST.MF
@@ -18,6 +18,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.queries.configuration.plugi
n.Activator$Implementation
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries.configuration;si
- ngleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.queries.core.configuration;singleton:=true
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/.project b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/.project
index 97e578f6c98..35970c3736b 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/.project
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.queries</name>
+ <name>org.eclipse.papyrus.infra.queries.core</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/META-INF/MANIFEST.MF b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/META-INF/MANIFEST.MF
index 0be113a56da..be55002da54 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/META-INF/MANIFEST.MF
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
org.eclipse.core.runtime;bundle-version="3.7.0",
- org.eclipse.emf.facet.infra.query;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.query.core;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.query;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.3.100",
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.core.queries,
org.eclipse.papyrus.core.queries.converter,
org.eclipse.papyrus.core.queries.modisco
@@ -17,6 +17,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.queries.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.core.queries;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.queries.core;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/src/org/eclipse/papyrus/core/queries/Activator.java b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/src/org/eclipse/papyrus/core/queries/Activator.java
index 3e9a8494608..bd2a6a5ae24 100644
--- a/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/src/org/eclipse/papyrus/core/queries/Activator.java
+++ b/plugins/infra/queries/org.eclipse.papyrus.infra.queries.core/src/org/eclipse/papyrus/core/queries/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -21,14 +21,14 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** The plug-in ID */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.core.queries"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.queries.core"; //$NON-NLS-1$
/** The shared instance */
private static Activator plugin;
-
- /** Logging helper */
- public static LogHelper log;
-
+
+ /** Logging helper */
+ public static LogHelper log;
+
/**
* The constructor
*/
@@ -42,9 +42,9 @@ public class Activator extends AbstractUIPlugin {
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
-
+
// register the login helper
- log = new LogHelper(plugin);
+ log = new LogHelper(plugin);
}
/**
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/.project
index 77427e88881..93291d8661b 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.controlmode.history</name>
+ <name>org.eclipse.papyrus.infra.services.controlmode.history</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
index ede1d96face..8af3fdaf9d1 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode.history/META-INF/MANIFEST.MF
@@ -6,7 +6,7 @@ Export-Package: org.eclipse.papyrus.controlmode.history,
org.eclipse.papyrus.controlmode.mm.history.util
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
@@ -14,7 +14,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode.history;singleton
- :=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.controlmode.history;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/.project
index 6d80e215183..389c8dc2a8f 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.controlmode</name>
+ <name>org.eclipse.papyrus.infra.services.controlmode</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
index 593838a8e11..69a95f3fe03 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.controlmode/META-INF/MANIFEST.MF
@@ -5,11 +5,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.notation,
org.eclipse.ui.navigator,
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.resourceloading;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.resourceloading.preferences;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.controlmode,
org.eclipse.papyrus.controlmode.action,
org.eclipse.papyrus.controlmode.commands,
@@ -20,6 +20,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.controlmode.ControlModePlugin
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.controlmode;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/.project
index 22ae84f3524..2c3c2fd73ed 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.decoration</name>
+ <name>org.eclipse.papyrus.infra.services.decoration</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
index 7ae9dd5215a..3285fc2e8fa 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
@@ -7,12 +7,12 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.decoration.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.decoration;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.decoration;singleton:=true
Import-Package: org.apache.commons.lang;version="2.4.0",
org.eclipse.core.resources,
org.eclipse.emf.facet.infra.browser.uicore.internal.model,
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/src/org/eclipse/papyrus/decoration/Activator.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/src/org/eclipse/papyrus/decoration/Activator.java
index 5e1e5d5da01..c14cb6718f4 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/src/org/eclipse/papyrus/decoration/Activator.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/src/org/eclipse/papyrus/decoration/Activator.java
@@ -1,14 +1,14 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
- * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
+ * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
*****************************************************************************/
package org.eclipse.papyrus.decoration;
@@ -25,7 +25,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.decoration"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.decoration"; //$NON-NLS-1$
// The Hierarchical Markers ID
/** The HIERARCHICA l_ markers. */
@@ -50,7 +50,7 @@ public class Activator extends AbstractUIPlugin {
* @param context
* @throws Exception
*/
-
+
@Override
public void start(BundleContext context) throws Exception {
super.start(context);
@@ -65,7 +65,7 @@ public class Activator extends AbstractUIPlugin {
* @param context
* @throws Exception
*/
-
+
@Override
public void stop(BundleContext context) throws Exception {
plugin = null;
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/.project
index d109a612a29..09ac34ecca3 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.service.edit</name>
+ <name>org.eclipse.papyrus.infra.services.edit</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
index bf81256971c..3c9c64815e7 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
@@ -1,10 +1,10 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version:="1.4.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0"
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.service.edit,
org.eclipse.papyrus.service.edit.commands,
org.eclipse.papyrus.service.edit.messages,
@@ -17,6 +17,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.service.edit.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.service.edit;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.edit;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/src/org/eclipse/papyrus/service/edit/Activator.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/src/org/eclipse/papyrus/service/edit/Activator.java
index ded8b534cbf..7519f8f2bd8 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/src/org/eclipse/papyrus/service/edit/Activator.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/src/org/eclipse/papyrus/service/edit/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -24,7 +24,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** Plug-in ID */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.service.edit"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.edit"; //$NON-NLS-1$
/** Shared instance */
private static Activator plugin;
@@ -41,6 +41,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -52,6 +53,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/.project
index 37dd4e044e1..4e785f6966a 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.markerlistener</name>
+ <name>org.eclipse.papyrus.infra.services.markerlistener</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
index 5e3baba7e99..734382b52f6 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.markerlistener
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -9,8 +9,7 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.markerlistener.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.markerlistener;singleton:=tru
- e
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.markerlistener;singleton:=true
Import-Package: org.eclipse.papyrus.decoration,
org.eclipse.papyrus.diagram.common.util
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/src/org/eclipse/papyrus/markerlistener/Activator.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/src/org/eclipse/papyrus/markerlistener/Activator.java
index 104c5c60940..a2cd67779b0 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/src/org/eclipse/papyrus/markerlistener/Activator.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/src/org/eclipse/papyrus/markerlistener/Activator.java
@@ -1,14 +1,14 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
- * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
+ * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
*****************************************************************************/
package org.eclipse.papyrus.markerlistener;
@@ -24,7 +24,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.markerlistener"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.markerlistener"; //$NON-NLS-1$
// The shared instance
/** The plugin. */
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/.project
index 23a248cabf9..575eb62beef 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.resourceloading.preferences</name>
+ <name>org.eclipse.papyrus.infra.services.resourceloading.preferences</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/META-INF/MANIFEST.MF
index 59bfad89a72..a044b95acd8 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.jface,
org.eclipse.ui,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.core.resourceloading.preferences
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -14,7 +14,6 @@ Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.resourceloading.preferences
.CorePlugin
-Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading.preferen
- ces;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.resourceloading.preferences;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/src/org/eclipse/papyrus/core/resourceloading/preferences/CorePlugin.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/src/org/eclipse/papyrus/core/resourceloading/preferences/CorePlugin.java
index a8211b449fa..f0a6b08563b 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/src/org/eclipse/papyrus/core/resourceloading/preferences/CorePlugin.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading.preferences/src/org/eclipse/papyrus/core/resourceloading/preferences/CorePlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class CorePlugin extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.core.resourceloading.preferences"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.resourceloading.preferences"; //$NON-NLS-1$
// The shared instance
private static CorePlugin plugin;
@@ -38,6 +38,7 @@ public class CorePlugin extends AbstractUIPlugin {
*
* @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -48,6 +49,7 @@ public class CorePlugin extends AbstractUIPlugin {
*
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/.project
index a1311ef215d..f89148e28bc 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.core.resourceloading</name>
+ <name>org.eclipse.papyrus.infra.services.resourceloading</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
index f90bf1d5a9f..6f783a7a9f0 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.core.expressions
Export-Package: org.eclipse.papyrus.core.resourceloading,
org.eclipse.papyrus.core.resourceloading.impl,
@@ -14,7 +14,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.core.resourceloading.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.core.resourceloading;singleto
- n:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.resourceloading;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/src/org/eclipse/papyrus/core/resourceloading/Activator.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/src/org/eclipse/papyrus/core/resourceloading/Activator.java
index 38742c94c3a..c69d4678d6e 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/src/org/eclipse/papyrus/core/resourceloading/Activator.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.resourceloading/src/org/eclipse/papyrus/core/resourceloading/Activator.java
@@ -10,7 +10,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends Plugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.core.resourceloading"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.resourceloading"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -26,6 +26,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -36,6 +37,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/.project b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/.project
index c5c07e5792c..ed4b25fa46f 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/.project
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.validation</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.infra.services.validation</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/META-INF/MANIFEST.MF
index d476ce7ab4b..7448a741b09 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/META-INF/MANIFEST.MF
@@ -5,10 +5,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore;bundle-version="2.6.1",
org.eclipse.core.resources;bundle-version="3.6.0",
org.apache.commons.lang;bundle-version="2.3.0",
- org.eclipse.emf.edit.ui;bundle-version:="2.6.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version:="1.0.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.emf.edit.ui;bundle-version="2.6.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.0.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.validation
Bundle-Vendor: %pluginProvider
Bundle-ActivationPolicy: lazy
@@ -16,6 +16,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.validation.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.validation;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.services.validation;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/src/org/eclipse/papyrus/validation/Activator.java b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/src/org/eclipse/papyrus/validation/Activator.java
index 1bb23c53c1a..ed3f9f984bc 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/src/org/eclipse/papyrus/validation/Activator.java
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.validation/src/org/eclipse/papyrus/validation/Activator.java
@@ -1,14 +1,14 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
- * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
+ * Amine EL KOUHEN (CEA LIST/LIFL) - Amine.Elkouhen@cea.fr
*****************************************************************************/
package org.eclipse.papyrus.validation;
@@ -24,7 +24,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.validation"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.services.validation"; //$NON-NLS-1$
// The shared instance
/** The plugin. */
@@ -50,7 +50,7 @@ public class Activator extends AbstractUIPlugin {
* @param context
* @throws Exception
*/
-
+
@Override
public void start(BundleContext context) throws Exception {
super.start(context);
@@ -69,7 +69,7 @@ public class Activator extends AbstractUIPlugin {
* @param context
* @throws Exception
*/
-
+
@Override
public void stop(BundleContext context) throws Exception {
plugin = null;
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/.project b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/.project
index 5a82e72a65e..7605b36adae 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/.project
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.table.common</name>
+ <name>org.eclipse.papyrus.infra.table.common</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
index 0b52e6678c5..1b6614f9ec0 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/META-INF/MANIFEST.MF
@@ -1,17 +1,17 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
org.eclipse.emf.facet.widgets.nattable,
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.query.editor;bundle-version="0.1.0",
- org.eclipse.emf.facet.query.java;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.query.java;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.commands;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.table.common,
org.eclipse.papyrus.table.common.dialog,
org.eclipse.papyrus.table.common.editor,
@@ -27,6 +27,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.table.common.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.table.common;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.table.common;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/table/common/Activator.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/table/common/Activator.java
index cb67449a030..9a9581ec2e2 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/table/common/Activator.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.common/src/org/eclipse/papyrus/table/common/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.table.common"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.table.common"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/.project b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/.project
index f5596956ceb..c95a6c4418d 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/.project
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.table.instance</name>
+ <name>org.eclipse.papyrus.infra.table.instance</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/META-INF/MANIFEST.MF
index acb4fe20d38..1796c948505 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/META-INF/MANIFEST.MF
@@ -19,6 +19,5 @@ Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.table.instance.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.table.instance;singleton:=tru
- e
+Bundle-SymbolicName: org.eclipse.papyrus.infra.table.instance;singleton:=true
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/src/org/eclipse/papyrus/table/instance/Activator.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/src/org/eclipse/papyrus/table/instance/Activator.java
index 8b42788be9f..76f15d18a6f 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/src/org/eclipse/papyrus/table/instance/Activator.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.instance/src/org/eclipse/papyrus/table/instance/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.table.instance"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.table.instance"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/.project b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/.project
index 31d3e8240c4..2db93db7442 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/.project
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.table.menu</name>
+ <name>org.eclipse.papyrus.infra.table.menu</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
index f10f205e5b5..836710819af 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/META-INF/MANIFEST.MF
@@ -1,10 +1,10 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.expressions,
org.eclipse.papyrus.uml.table.default;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.diagram.menu;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.menu;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
- org.eclipse.papyrus.table.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable,
org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
@@ -18,6 +18,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.table.menu.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.table.menu;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.table.menu;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/src/org/eclipse/papyrus/table/menu/Activator.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/src/org/eclipse/papyrus/table/menu/Activator.java
index bc577a35781..c5fd5e9272e 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/src/org/eclipse/papyrus/table/menu/Activator.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.menu/src/org/eclipse/papyrus/table/menu/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String ID = "org.eclipse.papyrus.table.menu"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.infra.table.menu"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -38,6 +38,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -48,6 +49,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/.project b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/.project
index 271ebf04bf7..db2442f94ec 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/.project
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.table.modelexplorer</name>
+ <name>org.eclipse.papyrus.infra.table.modelexplorer</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
index 4d253fc0886..44ef7e6ecce 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Require-Bundle: org.eclipse.papyrus.resource;bundle-version="0.9.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.core.expressions,
org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.uml2.uml,
org.eclipse.emf.facet.infra.query.core
Export-Package: org.eclipse.papyrus.table.modelexplorer,
@@ -19,7 +19,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.table.modelexplorer.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.table.modelexplorer;singleton
- :=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.table.modelexplorer;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/src/org/eclipse/papyrus/table/modelexplorer/Activator.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/src/org/eclipse/papyrus/table/modelexplorer/Activator.java
index b831a96e9e3..af8c949991e 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/src/org/eclipse/papyrus/table/modelexplorer/Activator.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.modelexplorer/src/org/eclipse/papyrus/table/modelexplorer/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -31,7 +31,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.table.modelexplorer"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.table.modelexplorer"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/.project b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/.project
index 03ca67cb112..7232286a2cb 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/.project
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.table</name>
+ <name>org.eclipse.papyrus.infra.table.properties</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/META-INF/MANIFEST.MF b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/META-INF/MANIFEST.MF
index 8d29267d66a..d1be77dda07 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/META-INF/MANIFEST.MF
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/META-INF/MANIFEST.MF
@@ -4,11 +4,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
org.eclipse.emf.edit,
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.emf.databinding,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -17,7 +17,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.table.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.table;singleton:=t
- rue
+Bundle-SymbolicName: org.eclipse.papyrus.infra.table.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/src/org/eclipse/papyrus/properties/table/Activator.java b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/src/org/eclipse/papyrus/properties/table/Activator.java
index 3f2aa5cd439..2b38d138c3a 100644
--- a/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/src/org/eclipse/papyrus/properties/table/Activator.java
+++ b/plugins/infra/table/org.eclipse.papyrus.infra.table.properties/src/org/eclipse/papyrus/properties/table/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,11 +23,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.table"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.table.properties"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/** Logging helper */
public static LogHelper log;
/**
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/.project b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/.project
index 0b2087bca18..52b91e0485e 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/.project
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.ui.toolbox</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.infra.widgets.toolbox</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
index fd54dc3f2a1..b8147e2e705 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.core.runtime,
org.eclipse.ui
Export-Package: org.eclipse.papyrus.ui.toolbox,
@@ -20,6 +20,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.ui.toolbox.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.ui.toolbox;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.infra.widgets.toolbox;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/src/org/eclipse/papyrus/ui/toolbox/Activator.java b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/src/org/eclipse/papyrus/ui/toolbox/Activator.java
index 5b6da69dfc3..393786bf4dc 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/src/org/eclipse/papyrus/ui/toolbox/Activator.java
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets.toolbox/src/org/eclipse/papyrus/ui/toolbox/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -9,7 +9,7 @@
*
* Contributors:
* Patrick Tessier (CEA LIST) Patrick.tessier@cea.fr - Initial API and implementation
- *
+ *
*****************************************************************************/
package org.eclipse.papyrus.ui.toolbox;
@@ -25,7 +25,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.ui.toolbox";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.widgets.toolbox";
// The shared instance
private static Activator plugin;
@@ -41,6 +41,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -51,6 +52,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
@@ -78,7 +80,7 @@ public class Activator extends AbstractUIPlugin {
* @return the Image
*/
public static Image getImage(String iconPath, String defaultPlugin) {
- // see if the path is using platform:/... to get icon in the fragment, if it is in a fragment
+ // see if the path is using platform:/... to get icon in the fragment, if it is in a fragment
String key = defaultPlugin + iconPath;
ImageRegistry registry = getDefault().getImageRegistry();
Image image = registry.get(key);
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/.project b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/.project
index ba9e8ab7107..3de31c82458 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/.project
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.widgets</name>
+ <name>org.eclipse.papyrus.infra.widgets</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
index 3da77acf3a6..d3938db1efd 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/META-INF/MANIFEST.MF
@@ -4,8 +4,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.databinding.property;bundle-version="1.3.0",
org.eclipse.core.databinding,
org.eclipse.jface.databinding,
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version:="3.5.100",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.100",
org.eclipse.core.resources;bundle-version="3.7.100",
org.eclipse.ui.ide;bundle-version="3.7.0"
Export-Package: org.eclipse.papyrus.widgets,
@@ -22,6 +22,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.widgets.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.widgets
+Bundle-SymbolicName: org.eclipse.papyrus.infra.widgets
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/src/org/eclipse/papyrus/widgets/Activator.java b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/src/org/eclipse/papyrus/widgets/Activator.java
index 05ddfd47749..2321144e4b8 100644
--- a/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/src/org/eclipse/papyrus/widgets/Activator.java
+++ b/plugins/infra/widget/org.eclipse.papyrus.infra.widgets/src/org/eclipse/papyrus/widgets/Activator.java
@@ -26,7 +26,7 @@ public class Activator extends AbstractUIPlugin {
/**
* The plug-in ID
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.widgets"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.widgets"; //$NON-NLS-1$
/**
* The shared instance
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/.project b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/.project
index 5c764ec70c6..32731277245 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/.project
+++ b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.widgets.xtext</name>
+ <name>org.eclipse.papyrus.infra.xtext.widgets</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/META-INF/MANIFEST.MF b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/META-INF/MANIFEST.MF
index a554690e988..42f3f7594e0 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/META-INF/MANIFEST.MF
+++ b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.xtext.ui;bundle-version="1.0.1",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.3.100",
org.eclipse.core.expressions;bundle-version="3.4.200",
org.eclipse.ui.navigator;bundle-version="3.5.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.emf.compare;bundle-version="1.1.1",
org.eclipse.emf.compare.match;bundle-version="1.1.1",
org.eclipse.emf.compare.diff;bundle-version="1.1.1"
@@ -20,6 +20,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.widgets.xtext.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.widgets.xtext
+Bundle-SymbolicName: org.eclipse.papyrus.infra.xtext.widgets
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/src/org/eclipse/papyrus/widgets/xtext/Activator.java b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/src/org/eclipse/papyrus/widgets/xtext/Activator.java
index 5af9c76734b..19d82ae3ade 100644
--- a/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/src/org/eclipse/papyrus/widgets/xtext/Activator.java
+++ b/plugins/infra/xtext/org.eclipse.papyrus.infra.xtext.widgets/src/org/eclipse/papyrus/widgets/xtext/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -21,7 +21,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.widgets.xtext"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.infra.xtext.widgets"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/.project
index 0a175fadf37..7dd58508a64 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.gridAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.gridAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
index e659adebd62..10c6e2a364e 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.gridalgori
thm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.gridAlg
- orithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.gridAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/gridalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/gridalgorithm/Activator.java
index fae287dadbc..888cf5a2382 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/gridalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.gridAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/gridalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.gridAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.gridAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/.project
index 42502c6093b..e93844bf083 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.horizontalAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
index c3998162300..6c7f8980acc 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
algorithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
- talAlgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalalgorithm/Activator.java
index a4d4c2dbea5..c6ea08dc761 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.horizontalAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.horizontalAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/.project
index 59d430a5ce8..886a0c1f5ca 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.horizontalSymmetryAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
index d64c2ee74f2..88b4720d634 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.papyrus.layout;bundle-version="0.9.0",
org.eclipse.zest.layouts
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
symmetryalgorithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
- talSymmetryAlgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalsymmetryalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalsymmetryalgorithm/Activator.java
index 2dfa736df67..4f6d87d6bf4 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalsymmetryalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontalsymmetryalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.horizontalSymmetryAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.horizontalSymmetryAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/.project
index d1c918017c9..13b1e098734 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.horizontalTreeAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
index c86a58a5ce1..b5532ee4bcc 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.papyrus.layout;bundle-version="0.9.0",
org.eclipse.zest.layouts
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.horizontal
treealgorithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.horizon
- talTreeAlgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontaltreealgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontaltreealgorithm/Activator.java
index 7a2e9b970ed..7eee67358c0 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontaltreealgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/horizontaltreealgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.horizontalTreeAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.horizontalTreeAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/.project
index 3e5d4475c2d..72b06731ed5 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.radialAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.radialAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
index a179c5f1c14..1bce6cf3cb2 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.radialalgo
rithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.radialA
- lgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.radialAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/radialalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/radialalgorithm/Activator.java
index ca4731eddd0..ef242df0847 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/radialalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.radialAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/radialalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.radialAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.radialAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/.project
index 22d4d25d454..d295879be2a 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.springAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.springAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/META-INF/MANIFEST.MF
index 7e684806904..29dbda24d11 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.springalgo
rithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.springA
- lgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.springAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/springalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/springalgorithm/Activator.java
index f95d33a49af..990bab7cc40 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/springalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.springAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/springalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.springAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.springAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/.project
index 524100b8343..e2e4c0d7d73 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.treeAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.treeAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
index f6a9aefd703..029b20a13e3 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.papyrus.layout;bundle-version="0.9.0",
org.eclipse.zest.layouts
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.treealgori
thm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.treeAlg
- orithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.treeAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/treealgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/treealgorithm/Activator.java
index 9f8bf96cb21..2422ed3a828 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/treealgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.treeAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/treealgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.treeAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.treeAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/.project
index b16ddee87a0..4fecaf20362 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.verticalAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.verticalAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
index 84e0b2c739d..61879fe2c58 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.zest.layouts,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalal
gorithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.vertica
- lAlgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.verticalAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalalgorithm/Activator.java
index 66d995dacc1..07b6976f767 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.verticalAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.verticalAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/.project b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/.project
index b75a69d1b13..554a4960b97 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.algorithms.verticalSymmetryAlgorithm</name>
+ <name>org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
index 49411c7dd7f..70f5e6f137a 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0",
+ org.eclipse.papyrus.layout;bundle-version="0.9.0",
org.eclipse.zest.layouts
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -11,7 +11,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.algorithms.verticalsy
mmetryalgorithm.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.algorithms.vertica
- lSymmetryAlgorithm;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalsymmetryalgorithm/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalsymmetryalgorithm/Activator.java
index 983aba052f3..a6a62f3ee60 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalsymmetryalgorithm/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm/src/org/eclipse/papyrus/layouttool/algorithms/verticalsymmetryalgorithm/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.verticalSymmetryAlgorithm";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.algorithms.verticalSymmetryAlgorithm";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/.project b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/.project
index bae6792645d..4ade303dbe8 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool.subeditor.gmf</name>
+ <name>org.eclipse.papyrus.layout.subeditor.gmf</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/META-INF/MANIFEST.MF
index 97b95d53f26..b90f38d6e5e 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui,
- org.eclipse.papyrus.layouttool;bundle-version="0.9.0"
+ org.eclipse.papyrus.layout;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -9,7 +9,6 @@ Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.layouttool.subeditor.gmf.Activat
or
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool.subeditor.gmf;sing
- leton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout.subeditor.gmf;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/src/org/eclipse/papyrus/layouttool/subeditor/gmf/Activator.java b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/src/org/eclipse/papyrus/layouttool/subeditor/gmf/Activator.java
index 1b7cc1df323..4d1a7141621 100644
--- a/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/src/org/eclipse/papyrus/layouttool/subeditor/gmf/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout.subeditor.gmf/src/org/eclipse/papyrus/layouttool/subeditor/gmf/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.subeditor.gmf";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout.subeditor.gmf";
// The shared instance
/** The plugin. */
@@ -40,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -50,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/layout/org.eclipse.papyrus.layout/.project b/plugins/layout/org.eclipse.papyrus.layout/.project
index 81f42c2b2e8..a741aadfc86 100644
--- a/plugins/layout/org.eclipse.papyrus.layout/.project
+++ b/plugins/layout/org.eclipse.papyrus.layout/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.layouttool</name>
+ <name>org.eclipse.papyrus.layout</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/layout/org.eclipse.papyrus.layout/META-INF/MANIFEST.MF b/plugins/layout/org.eclipse.papyrus.layout/META-INF/MANIFEST.MF
index 2af2f9e39fd..2a6d2717171 100644
--- a/plugins/layout/org.eclipse.papyrus.layout/META-INF/MANIFEST.MF
+++ b/plugins/layout/org.eclipse.papyrus.layout/META-INF/MANIFEST.MF
@@ -13,6 +13,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.layouttool.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.layouttool;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.layout;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/layout/org.eclipse.papyrus.layout/src/org/eclipse/papyrus/layouttool/Activator.java b/plugins/layout/org.eclipse.papyrus.layout/src/org/eclipse/papyrus/layouttool/Activator.java
index 4cc2aaa925a..215650e6352 100644
--- a/plugins/layout/org.eclipse.papyrus.layout/src/org/eclipse/papyrus/layouttool/Activator.java
+++ b/plugins/layout/org.eclipse.papyrus.layout/src/org/eclipse/papyrus/layouttool/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -25,7 +25,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.layouttools";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.layout";
// The shared instance
/** The plugin. */
@@ -42,6 +42,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -52,6 +53,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF b/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
index fd2fbb0ff64..85ecab5daa1 100644
--- a/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
+++ b/plugins/marte/org.eclipse.papyrus.marte.static.profile/META-INF/MANIFEST.MF
@@ -1,9 +1,9 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.ecore,
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.MARTE,
org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM,
org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl,
diff --git a/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF b/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
index cf12a338e35..7d966bf9fa4 100644
--- a/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/org.eclipse.papyrus.marte.vsl.ui/META-INF/MANIFEST.MF
@@ -14,7 +14,7 @@ Require-Bundle: org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0";visibility:
org.eclipse.xtext.builder,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/.project b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/.project
index b8504b9b5c1..37c73143536 100644
--- a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/.project
+++ b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.tabbed.marte</name>
+ <name>org.eclipse.papyrus.marte.properties.tabbed</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/META-INF/MANIFEST.MF b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/META-INF/MANIFEST.MF
index d9641a41ffb..324af0e1b5b 100644
--- a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/META-INF/MANIFEST.MF
+++ b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.ui.views;bundle-version="3.5.0",
org.eclipse.papyrus.views.properties.tabbed.core;bundle-version="0.9.0",
- org.eclipse.papyrus.views.properties.runtime;bundle-version:="0.9.0",
+ org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.ui.views.properties.tabbed
Bundle-Vendor: CEA LIST
Bundle-ActivationPolicy: lazy
@@ -12,7 +12,6 @@ Bundle-Name: MARTE tabbed properties
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.tabbed.marte.Activato
r
-Bundle-SymbolicName: org.eclipse.papyrus.properties.tabbed.marte;singl
- eton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.marte.properties.tabbed;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/src/org/eclipse/papyrus/properties/tabbed/marte/Activator.java b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/src/org/eclipse/papyrus/properties/tabbed/marte/Activator.java
index f1c529490c0..39d4fd677a1 100644
--- a/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/src/org/eclipse/papyrus/properties/tabbed/marte/Activator.java
+++ b/plugins/marte/properties/org.eclipse.papyrus.marte.properties.tabbed/src/org/eclipse/papyrus/properties/tabbed/marte/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.tabbed.marte"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.marte.properties.tabbed"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/.project b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/.project
index fdef0607faa..7199c36f9d8 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/.project
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui</name>
+ <name>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/META-INF/MANIFEST.MF
index f9d912fcaa9..89e65814fd4 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui/META-INF/MANIFEST.MF
@@ -5,21 +5,21 @@ Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-Name: %pluginName
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.constraintwithvsl.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
- org.eclipse.ui.ide;bundle-version:="3.5.0",
+ org.eclipse.ui.ide;bundle-version="3.5.0",
org.eclipse.xtext.ui.shared,
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version:="1.4.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.marte.vsl;bundle-version="0.9.0",
org.eclipse.papyrus.marte.vsl.ui;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.7.3"
@@ -28,6 +28,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.constraintwithvsl.editor.xtext.u
i.internal.ConstraintWithVSLlActivator
-Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtext.ui;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/.project b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/.project
index a283a24a11d..6adaf815cea 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/.project
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.constraintwithvsl.editor.xtext</name>
+ <name>org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/META-INF/MANIFEST.MF
index bdb23f309c7..943b8124d7e 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/META-INF/MANIFEST.MF
@@ -30,8 +30,7 @@ Bundle-ClassPath: .
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.constraintwithvsl.editor.xtex
- t;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext;singleton:=true
Import-Package: org.apache.log4j
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore
index 56cdd2b9008..273dd494569 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore
@@ -15,7 +15,7 @@
<details key="body" value="return org.eclipse.papyrus.constraintwithvsl.editor.xtext.validation.ContextUtil.getContextElement(this) ;"/>
</eAnnotations>
</eOperations>
- <eStructuralFeatures xsi:type="ecore:EReference" name="specification" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.constraintwithvsl.editor.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore#//ConstraintSpecification"
+ <eStructuralFeatures xsi:type="ecore:EReference" name="specification" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.textedit.constraintwithvsl.xtext/src-gen/org/eclipse/papyrus/constraintwithvsl/editor/xtext/ConstraintWithVSLl.ecore#//ConstraintSpecification"
containment="true"/>
</eClassifiers>
<eClassifiers xsi:type="ecore:EClass" name="ConstraintSpecification">
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/.project b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/.project
index cf0948a4678..2ba29212bc0 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/.project
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext.ui</name>
+ <name>org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/META-INF/MANIFEST.MF
index e4206dc40b1..24ac30c8302 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .
Bundle-Name: %pluginName
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext;bundle-version="0.9.0";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.ui,
org.eclipse.ui.editors;bundle-version="3.5.0",
org.eclipse.ui.ide;bundle-version="3.5.0",
@@ -15,7 +15,7 @@ Require-Bundle: org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext;bu
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
@@ -27,7 +27,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.stereotypeapplicationwithvsl.edi
tor.xtext.ui.internal.StereotypeApplicationWithVSLActivator
-Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.
- editor.xtext.ui;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui;singleton:=true
Import-Package: org.apache.log4j
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/.project b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/.project
index 664a5d38169..e0e918ca291 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/.project
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext</name>
+ <name>org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/META-INF/MANIFEST.MF b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/META-INF/MANIFEST.MF
index 49aaee2975c..613164c12ea 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/META-INF/MANIFEST.MF
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/META-INF/MANIFEST.MF
@@ -31,8 +31,7 @@ Bundle-ClassPath: .
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.stereotypeapplicationwithvsl.
- editor.xtext;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext;singleton:=true
Import-Package: org.apache.log4j
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore
index 378900c7d9d..c75127116c9 100644
--- a/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore
+++ b/plugins/marte/textedit/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore
@@ -16,7 +16,7 @@
</eAnnotations>
</eOperations>
<eStructuralFeatures xsi:type="ecore:EReference" name="stereotypeApplications"
- upperBound="-1" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//StereotypeApplicationRule"
+ upperBound="-1" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//StereotypeApplicationRule"
containment="true"/>
</eClassifiers>
<eClassifiers xsi:type="ecore:EClass" name="StereotypeApplicationRule">
@@ -32,7 +32,7 @@
</eOperations>
<eStructuralFeatures xsi:type="ecore:EReference" name="stereotype" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.vsl/model/UML.ecore#//Stereotype"/>
<eStructuralFeatures xsi:type="ecore:EReference" name="tagSpecification" upperBound="-1"
- eType="ecore:EClass platform:/resource/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//TagSpecificationRule"
+ eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//TagSpecificationRule"
containment="true"/>
</eClassifiers>
<eClassifiers xsi:type="ecore:EClass" name="TagSpecificationRule">
@@ -47,7 +47,7 @@
</eAnnotations>
</eOperations>
<eStructuralFeatures xsi:type="ecore:EReference" name="property" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.vsl/model/UML.ecore#//Property"/>
- <eStructuralFeatures xsi:type="ecore:EReference" name="value" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.stereotypeapplicationwithvsl.editor.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//ExpressionValueRule"
+ <eStructuralFeatures xsi:type="ecore:EReference" name="value" eType="ecore:EClass platform:/resource/org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext/src-gen/org/eclipse/papyrus/stereotypeapplicationwithvsl/editor/xtext/StereotypeApplicationWithVSL.ecore#//ExpressionValueRule"
containment="true"/>
</eClassifiers>
<eClassifiers xsi:type="ecore:EClass" name="ExpressionValueRule">
diff --git a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
index 62045d10836..0646d607232 100644
--- a/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.navigator/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui.navigator;bundle-version="3.3.101",
org.eclipse.emf.ecore.editor;bundle-version="2.4.0",
org.eclipse.uml2.uml.editor;bundle-version="2.2.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.sasheditor.di;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.ltk.core.refactoring;bundle-version="3.5.0",
- org.eclipse.emf.converter;bundle-version:="2.5.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+ org.eclipse.emf.converter;bundle-version="2.5.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.navigator,
org.eclipse.papyrus.navigator.actions,
org.eclipse.papyrus.navigator.dialog,
diff --git a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
index 9271f17292a..f460c1d47dc 100644
--- a/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
+++ b/plugins/others/org.eclipse.papyrus.outline.emftree/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.ecore.editor;bundle-version="2.5.0",
org.eclipse.uml2.uml.edit;bundle-version="3.0.0"
Export-Package: org.eclipse.papyrus.outline.emftree,
diff --git a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
index 104152a4127..4aa5384dfda 100644
--- a/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
+++ b/plugins/profile-tool/org.eclipse.papyrus.resource.migration/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.emf.ecore,
- org.eclipse.papyrus.resource;bundle-version:="0.9.0",
+ org.eclipse.papyrus.resource;bundle-version="0.9.0",
org.eclipse.emf.codegen.ecore
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
index a265707f1f4..887fc49ce23 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.blockdefinition/META-INF/MANIFEST.MF
@@ -2,20 +2,20 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.sysml;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
org.eclipse.core.expressions;bundle-version="3.4.100",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
index 746cbd3d498..aaf1af79fa1 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.common/META-INF/MANIFEST.MF
@@ -1,22 +1,22 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf;bundle-version="2.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.sysml;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version:="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.editor;bundle-version:="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.edit;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.gmf.diagram.common.commands,
org.eclipse.papyrus.gmf.diagram.common.compatibility,
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
index b0247da77d4..3705a35552d 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.internalblock/META-INF/MANIFEST.MF
@@ -2,18 +2,18 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.sysml;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.emf.common.ui;bundle-version="2.5.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.2.0",
- org.eclipse.papyrus.diagram.composite;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.composite;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.sysml.diagram.common;bundle-version:="0.9.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
index 5c9d0c57dd4..2099795a219 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.parametric/META-INF/MANIFEST.MF
@@ -44,14 +44,14 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.resource;bundle-version:="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.resource.edit;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.resource;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.resource.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.uml.standard;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.standard;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.papyrus.uml.standard.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.papyrus.parsers;bundle-version="0.9.0",
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
index 29b02177330..a39f466a1e0 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.requirement/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.resources.editor;bundle-version="1.3.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.4.0",
- org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.sysml;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
index b952a922295..a3f698a9504 100644
--- a/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
+++ b/plugins/sysml/diagram/org.eclipse.papyrus.sysml.diagram.ui/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.wizards;bundle-version:="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.sysml.diagram.ui
Bundle-Vendor: %providerName
diff --git a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
index cbe01282872..408b222d847 100644
--- a/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/sysml/modelexplorer/org.eclipse.papyrus.sysml.modelexplorer/META-INF/MANIFEST.MF
@@ -5,8 +5,8 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.uml2.uml,
org.eclipse.papyrus.sysml;bundle-version="0.9.0",
org.eclipse.swt,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version:="0.9.0",
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
index 4200c3f0770..6ea6dcfbcdc 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.edit/META-INF/MANIFEST.MF
@@ -15,9 +15,9 @@ Bundle-ClassPath: .
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Require-Bundle: org.eclipse.papyrus.sysml;bundle-version:="0.9.0";visibility:=reexport,
+Require-Bundle: org.eclipse.papyrus.sysml;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.papyrus.uml.standard.edit;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.core.runtime;bundle-version:="3.6.0"
+ org.eclipse.core.runtime;bundle-version="3.6.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
index 3604e546a1e..7b099f900f1 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.facets/META-INF/MANIFEST.MF
@@ -7,13 +7,13 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.sysml;bundle-version="0.9.0",
org.eclipse.emf.edit,
org.eclipse.uml2.common.edit,
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-ClassPath: .,
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
index 869f678615b..08f41392ebe 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml.service.types/META-INF/MANIFEST.MF
@@ -2,12 +2,12 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.sysml;bundle-version:="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.sysml.service.types,
org.eclipse.papyrus.sysml.service.types.element,
org.eclipse.papyrus.sysml.service.types.helper,
diff --git a/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF b/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
index 9a45261ddb8..242e9cbb384 100644
--- a/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
+++ b/plugins/sysml/org.eclipse.papyrus.sysml/META-INF/MANIFEST.MF
@@ -33,7 +33,7 @@ Export-Package: org.eclipse.papyrus.sysml,
org.eclipse.papyrus.sysml.usecases.util,
org.eclipse.papyrus.sysml.util
Require-Bundle: org.eclipse.papyrus.uml.standard;bundle-version="0.9.0",
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-ClassPath: .
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/.project b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/.project
index 8f9e272f1d1..67074d1763d 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/.project
+++ b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.view.sysml</name>
+ <name>org.eclipse.papyrus.sysml.properties.view</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/META-INF/MANIFEST.MF b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/META-INF/MANIFEST.MF
index a6fb61ae739..9722cd02c70 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/META-INF/MANIFEST.MF
+++ b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/META-INF/MANIFEST.MF
@@ -9,7 +9,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.view.sysml.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.view.sysml;singlet
- on:=true
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.properties.view;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/src/org/eclipse/papyrus/properties/view/sysml/Activator.java b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/src/org/eclipse/papyrus/properties/view/sysml/Activator.java
index 9405dfee448..06a2c6620e6 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/src/org/eclipse/papyrus/properties/view/sysml/Activator.java
+++ b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties.view/src/org/eclipse/papyrus/properties/view/sysml/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.properties.view.sysml"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.sysml.properties.view"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/.project b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/.project
index 014db6b7b25..1601b293212 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/.project
+++ b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.properties.sysml</name>
+ <name>org.eclipse.papyrus.sysml.properties</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/META-INF/MANIFEST.MF b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/META-INF/MANIFEST.MF
index e57124c5e2d..17ba4979e08 100644
--- a/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/META-INF/MANIFEST.MF
+++ b/plugins/sysml/properties/org.eclipse.papyrus.sysml.properties/META-INF/MANIFEST.MF
@@ -1,15 +1,14 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
- org.eclipse.papyrus.views.properties;bundle-version:="0.9.0",
- org.eclipse.papyrus.uml.properties;bundle-version:="0.9.0"
+ org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.properties;bundle-version="0.9.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.properties.sysml.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.properties.sysml;singleton:=t
- rue
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.properties;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
index b2d7506204a..2e09a9d8743 100644
--- a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
+++ b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.allocation/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.facet.infra.common.core,
org.eclipse.emf.facet.infra.query.core,
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version:="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.table.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.tableconfiguration;bundle-version:="0.1.0",
- org.eclipse.emf.facet.widgets.nattable.instance;bundle-version:="0.1.0",
+ org.eclipse.emf.facet.widgets.nattable.tableconfiguration;bundle-version="0.1.0",
+ org.eclipse.emf.facet.widgets.nattable.instance;bundle-version="0.1.0",
org.eclipse.papyrus.sysml;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
index 0f5607ae2c7..6183426cbf6 100644
--- a/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/table/org.eclipse.papyrus.sysml.table.requirement/META-INF/MANIFEST.MF
@@ -1,13 +1,13 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.facet.widgets.nattable.instance,
org.eclipse.emf.facet.infra.query.core,
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.sysml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.table.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.emf.facet.infra.common.core;bundle-version:="0.1.0",
- org.eclipse.papyrus.table.instance;bundle-version:="0.9.0",
+ org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core,
org.eclipse.papyrus.sysml;bundle-version="0.9.0"
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.project
index fe2efcbc439..2b3996b1ea0 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.activity</name>
+ <name>org.eclipse.papyrus.uml.diagram.activity</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
index fc29ccba05c..91362bff9cc 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/META-INF/MANIFEST.MF
@@ -30,9 +30,9 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.ui.navigator.resources,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.emf.validation.ocl;visibility:=reexport,
@@ -60,12 +60,12 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.diagram.common.groups;bundle-version:="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common.groups;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.activity.part.UMLDiagram
EditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.activity;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.activity;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/src/org/eclipse/papyrus/diagram/activity/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/src/org/eclipse/papyrus/diagram/activity/part/UMLDiagramEditorPlugin.java
index ec206f66fb2..d6b952d23c6 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/src/org/eclipse/papyrus/diagram/activity/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.activity/src/org/eclipse/papyrus/diagram/activity/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -50,7 +50,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.activity"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.activity"; //$NON-NLS-1$
/**
* @generated
@@ -96,6 +96,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated NOT Initialize Specific preferences
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -111,6 +112,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -131,6 +133,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.project
index 192570d2064..dba7a71fdba 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.diagram.clazz</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.diagram.clazz</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
index 071c0fe95af..b85a37ef084 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/META-INF/MANIFEST.MF
@@ -22,14 +22,14 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.render,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.ocl.uml;bundle-version:="3.0.0",
- org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version:="1.3.0",
+ org.eclipse.ocl.uml;bundle-version="3.0.0",
+ org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.3.0",
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.jface,
@@ -52,12 +52,12 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef,
org.eclipse.ui,
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.clazz.part.UMLDiagramEdi
torPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.clazz;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.clazz;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/src/org/eclipse/papyrus/diagram/clazz/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/src/org/eclipse/papyrus/diagram/clazz/part/UMLDiagramEditorPlugin.java
index ff172fb0ce0..e482bc46464 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/src/org/eclipse/papyrus/diagram/clazz/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.clazz/src/org/eclipse/papyrus/diagram/clazz/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -48,7 +48,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.clazz"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.clazz"; //$NON-NLS-1$
/**
* @generated
@@ -94,6 +94,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -106,6 +107,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -126,6 +128,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/.project
index ec8311ec2fa..8dbce9f3765 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.common.groups</name>
+ <name>org.eclipse.papyrus.uml.diagram.common.groups</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/META-INF/MANIFEST.MF
index 0aa275727d6..9f93e0b1dab 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/META-INF/MANIFEST.MF
@@ -2,9 +2,9 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.diagram.common.groups.commands,
org.eclipse.papyrus.diagram.common.groups.core.utils,
org.eclipse.papyrus.diagram.common.groups.edit.policies,
@@ -19,7 +19,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.common.groups.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.groups;singlet
- on:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.common.groups;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/src/org/eclipse/papyrus/diagram/common/groups/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/src/org/eclipse/papyrus/diagram/common/groups/Activator.java
index f3d7ffb6c81..c5373818c66 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/src/org/eclipse/papyrus/diagram/common/groups/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.groups/src/org/eclipse/papyrus/diagram/common/groups/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.common.groups"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.common.groups"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -38,6 +38,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -48,6 +49,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/.project
index 717f02d300e..9cd85d73a58 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.common.palette.customaction</name>
+ <name>org.eclipse.papyrus.uml.diagram.common.palette.customaction</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
index b7fd7233887..1ccea3c91ac 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/META-INF/MANIFEST.MF
@@ -5,7 +5,7 @@ Export-Package: org.eclipse.papyrus.diagram.common.palette.customaction.provider
org.eclipse.papyrus.diagram.common.palette.customaction.utils
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -15,7 +15,6 @@ Bundle-Activator: org.eclipse.papyrus.diagram.common.palette.customact
Bundle-ManifestVersion: 2
Import-Package: com.google.common.base,
com.google.common.collect
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common.palette.custom
- action;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.common.palette.customaction;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/src/org/eclipse/papyrus/diagram/common/palette/customaction/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/src/org/eclipse/papyrus/diagram/common/palette/customaction/Activator.java
index da5c2cba875..ebadab4d9e5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/src/org/eclipse/papyrus/diagram/common/palette/customaction/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common.palette.customaction/src/org/eclipse/papyrus/diagram/common/palette/customaction/Activator.java
@@ -1,6 +1,6 @@
/*****************************************************************************
* Copyright (c) 2011 Atos.
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -21,7 +21,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.common.palette.customaction"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.common.palette.customaction"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -37,6 +37,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -47,6 +48,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.project
index cdf2e551aed..b77457655b7 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.common</name>
+ <name>org.eclipse.papyrus.uml.diagram.common</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
index 4f67664fb2a..4a46115ffc7 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/META-INF/MANIFEST.MF
@@ -46,39 +46,38 @@ Bundle-Localization: plugin
Created-By: 1.5.0_06-b05 (Sun Microsystems Inc.)
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
org.eclipse.gmf.runtime.diagram.ui.providers;bundle-version="1.1.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
- org.eclipse.papyrus.wizards;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.core.databinding;bundle-version="1.2.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.3.0",
- org.eclipse.papyrus.pastemanager;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.pastemanager;bundle-version="0.9.0",
org.eclipse.ui,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.actions,
org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.validation;bundle-version:="0.9.0",
- org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.navigation;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.navigation.uml;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.validation;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.uml.diagram.navigation;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.printing,
org.eclipse.gmf.runtime.diagram.ui.providers.ide,
- org.eclipse.papyrus.decoration;bundle-version="0.9.0",
- org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.decoration;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Ant-Version: Apache Ant 1.7.0
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.common.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.common;singleton:=tru
- e
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.common;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/src/org/eclipse/papyrus/diagram/common/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/src/org/eclipse/papyrus/diagram/common/Activator.java
index 4004404d28f..a2c2370f35f 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/src/org/eclipse/papyrus/diagram/common/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.common/src/org/eclipse/papyrus/diagram/common/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -49,7 +49,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** The Constant ID. */
- public static final String ID = "org.eclipse.papyrus.diagram.common";
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.common";
/** Shared instance of the plug-in (singleton pattern) */
private static Activator plugin;
@@ -341,7 +341,7 @@ public class Activator extends AbstractUIPlugin {
}
}
-/** get the imageassociated to a image uml element**/
+ /** get the imageassociated to a image uml element**/
public static Image getShape(Element elt, Stereotype stereotype, boolean withVisibilityDecorator) {
VisibilityKind vis = null;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.project
index cb47ec4942a..4f1bf07ccf5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.communication</name>
+ <name>org.eclipse.papyrus.uml.diagram.communication</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
index e855bcd513a..939953b2fe7 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
@@ -47,14 +47,14 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.uml2.uml.edit;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
- org.eclipse.uml2.uml.resources;bundle-version:="3.0.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
+ org.eclipse.uml2.uml.resources;bundle-version="3.0.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.jface,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport,
@@ -67,7 +67,7 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.communication.part.UMLDi
agramEditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.communication;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.communication;singleton:=true
Import-Package: org.eclipse.papyrus.diagram.communication.custom.edit.policies,
org.eclipse.papyrus.diagram.communication.custom.helper,
org.eclipse.papyrus.service.edit.service
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/src/org/eclipse/papyrus/diagram/communication/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/src/org/eclipse/papyrus/diagram/communication/part/UMLDiagramEditorPlugin.java
index c132de5f057..831f3d2ab06 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/src/org/eclipse/papyrus/diagram/communication/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/src/org/eclipse/papyrus/diagram/communication/part/UMLDiagramEditorPlugin.java
@@ -1,14 +1,14 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
- * Saadia Dhouib saadia.dhouib@cea.fr
+ * Saadia Dhouib saadia.dhouib@cea.fr
*
*****************************************************************************/
package org.eclipse.papyrus.diagram.communication.part;
@@ -49,7 +49,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.communication"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.communication"; //$NON-NLS-1$
/**
* @generated
@@ -96,6 +96,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -108,6 +109,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -128,6 +130,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
@@ -184,7 +187,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* Respects images residing in any plug-in. If path is relative,
- * then this bundle is looked up for the image, otherwise, for absolute
+ * then this bundle is looked up for the image, otherwise, for absolute
* path, first segment is taken as id of plug-in with image
*
* @generated
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/.project
index d4e3b51bcd8..524095e5ee8 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.component</name>
+ <name>org.eclipse.papyrus.uml.diagram.component</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/META-INF/MANIFEST.MF
index c53b153bff7..31d75d6e411 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/META-INF/MANIFEST.MF
@@ -37,12 +37,12 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0";resolution:=optional,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0";resolution:=optional,
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
@@ -50,7 +50,7 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.component.part.UMLDiagra
mEditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.component;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.component;singleton:=true
Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.diagram.common.figure.node;resolution:=optional,
org.eclipse.papyrus.diagram.component.part,
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/src/org/eclipse/papyrus/diagram/component/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/src/org/eclipse/papyrus/diagram/component/part/UMLDiagramEditorPlugin.java
index bf58c9a4f47..ca99dd19e87 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/src/org/eclipse/papyrus/diagram/component/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.component/src/org/eclipse/papyrus/diagram/component/part/UMLDiagramEditorPlugin.java
@@ -36,7 +36,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.component"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.component"; //$NON-NLS-1$
/**
* @generated
@@ -82,6 +82,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -94,6 +95,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -114,6 +116,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.project
index a4468f00f60..b78e12315ee 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.composite</name>
+ <name>org.eclipse.papyrus.uml.diagram.composite</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
index 9265e491c97..bc4116d73dc 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/META-INF/MANIFEST.MF
@@ -47,14 +47,14 @@ Require-Bundle: org.eclipse.emf.ecore,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.core;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.draw2d;visibility:=reexport,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
Bundle-Vendor: %providerName
@@ -63,5 +63,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.composite.part.UMLDiagra
mEditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.composite;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.composite;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/src/org/eclipse/papyrus/diagram/composite/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/src/org/eclipse/papyrus/diagram/composite/part/UMLDiagramEditorPlugin.java
index d05abbecbe8..22038d50fff 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/src/org/eclipse/papyrus/diagram/composite/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.composite/src/org/eclipse/papyrus/diagram/composite/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009-2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -48,7 +48,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.composite"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.composite"; //$NON-NLS-1$
/**
* @generated
@@ -89,6 +89,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -101,6 +102,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -120,6 +122,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/.project
index 0f9669f8ba6..fe1300c9f08 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.deployment</name>
+ <name>org.eclipse.papyrus.uml.diagram.deployment</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
index 37dff0596c5..4a96027aff2 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
@@ -37,10 +37,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version:="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
@@ -48,7 +48,7 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.deployment.part.UMLDiagr
amEditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.deployment;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.deployment;singleton:=true
Import-Package: org.eclipse.papyrus.core.adaptor.gmf,
org.eclipse.papyrus.diagram.common.figure.node,
org.eclipse.papyrus.diagram.deployment.edit.parts,
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/src/org/eclipse/papyrus/diagram/deployment/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/src/org/eclipse/papyrus/diagram/deployment/part/UMLDiagramEditorPlugin.java
index ea28cc83b4a..646a223ef39 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/src/org/eclipse/papyrus/diagram/deployment/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/src/org/eclipse/papyrus/diagram/deployment/part/UMLDiagramEditorPlugin.java
@@ -39,7 +39,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.deployment"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.deployment"; //$NON-NLS-1$
/**
* @generated
@@ -85,6 +85,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -97,6 +98,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -117,6 +119,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/.project
index fc0b2154007..1f18a36c179 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.diagram.emftree</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.diagram.emftree</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
index 9394a9a199b..eaabecdd18b 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core.adaptor.emf;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core.adaptor.emf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml.editor;bundle-version="3.0.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -9,7 +9,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.emftree.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.emftree;singleton:=tr
- ue
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.emftree;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/src/org/eclipse/papyrus/diagram/emftree/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/src/org/eclipse/papyrus/diagram/emftree/Activator.java
index 8b9ee062e27..96a0c43c163 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/src/org/eclipse/papyrus/diagram/emftree/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.emftree/src/org/eclipse/papyrus/diagram/emftree/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,7 +22,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.emftree";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.emftree";
// The shared instance
private static Activator plugin;
@@ -38,6 +38,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -48,6 +49,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/.project
index 6c45401577d..f9e1abb7867 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.icons.uml</name>
+ <name>org.eclipse.papyrus.uml.diagram.icons</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/META-INF/MANIFEST.MF
index 5489dd3e8de..b44aba1b870 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/META-INF/MANIFEST.MF
@@ -8,7 +8,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.diagram.icons.uml.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.icons.uml;singleton:=
- true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.icons;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/src/org/eclipse/papyrus/diagram/icons/uml/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/src/org/eclipse/papyrus/diagram/icons/uml/Activator.java
index ce4f70b8c64..731ee235dd9 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/src/org/eclipse/papyrus/diagram/icons/uml/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.icons/src/org/eclipse/papyrus/diagram/icons/uml/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.icons.uml"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.icons.uml"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/.project
index 3703fbd454c..b4520b5ffd6 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.menu</name>
+ <name>org.eclipse.papyrus.uml.diagram.menu</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/META-INF/MANIFEST.MF
index 20db9017251..290cdbdac93 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.actions,
org.eclipse.gmf.runtime.draw2d.ui.render;bundle-version="1.4.0",
org.eclipse.core.expressions,
@@ -10,10 +10,10 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.2.0",
org.eclipse.gmf.runtime.diagram.ui.actions,
org.eclipse.gmf.runtime.diagram.ui.render;bundle-version="1.2.0",
- org.eclipse.papyrus.wizards;bundle-version:="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.ui.views.log,
- org.eclipse.papyrus.commands;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.diagram.menu,
org.eclipse.papyrus.diagram.menu.actions,
org.eclipse.papyrus.diagram.menu.actions.handlers
@@ -24,6 +24,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.menu.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.menu;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.menu;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/src/org/eclipse/papyrus/diagram/menu/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/src/org/eclipse/papyrus/diagram/menu/Activator.java
index 8a7d4de7d95..7ea6bae423c 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/src/org/eclipse/papyrus/diagram/menu/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.menu/src/org/eclipse/papyrus/diagram/menu/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,7 +23,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin implements org.eclipse.ui.IStartup {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.menu"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.uml.diagram.diagram.menu"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/.project
index d5292891cbf..6bd72793bdc 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.modelexplorer</name>
+ <name>org.eclipse.papyrus.uml.diagram.modelexplorer</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
index 0d41dadd23b..b63d480b31c 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
- org.eclipse.ui.navigator;bundle-version:="3.4.0",
+ org.eclipse.ui.navigator;bundle-version="3.4.0",
org.eclipse.emf.transaction;bundle-version="1.4.0",
org.eclipse.uml2.uml.editor;bundle-version="3.1.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.emf.facet.infra.facet;bundle-version:="0.1.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
org.eclipse.emf.ecore,
@@ -17,7 +17,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.modelexplorer.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.modelexplorer;singlet
- on:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.modelexplorer;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/src/org/eclipse/papyrus/diagram/modelexplorer/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/src/org/eclipse/papyrus/diagram/modelexplorer/Activator.java
index 7b22c6c98ba..04989ea07fb 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/src/org/eclipse/papyrus/diagram/modelexplorer/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.modelexplorer/src/org/eclipse/papyrus/diagram/modelexplorer/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2011 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -22,11 +22,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.diagram.modelexplorer"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.modelexplorer"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -37,6 +37,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -46,6 +47,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/.project
index a2cac6cf434..3514764ee00 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.navigation.uml</name>
+ <name>org.eclipse.papyrus.uml.diagram.navigation</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/META-INF/MANIFEST.MF
index 3d7d88ffdbd..99e01cc1ee5 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.navigation/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.navigation;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.gmfdiag.navigation;bundle-version="0.9.0",
org.eclipse.uml2.uml,
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.navigation.uml
@@ -8,7 +8,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.navigation.uml;singleton:=tru
- e
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.navigation;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/.project
index 72d7ebfc1fb..c1f24eaf16d 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.uml.diagram.pkg</name>
+ <name>org.eclipse.papyrus.uml.diagram.package</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
index 6fc1e19588e..6c1dc45c38a 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/META-INF/MANIFEST.MF
@@ -1,19 +1,18 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.providers,
org.eclipse.gmf.runtime.diagram.ui.resources.editor,
- org.eclipse.papyrus.diagram.clazz;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.diagram.pkg.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.pkg;singleton:=tr
- ue
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.package;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/src-gen/org/eclipse/papyrus/uml/diagram/pkg/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/src-gen/org/eclipse/papyrus/uml/diagram/pkg/Activator.java
index c94ea25f0e3..51c4ed6df32 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/src-gen/org/eclipse/papyrus/uml/diagram/pkg/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.package/src-gen/org/eclipse/papyrus/uml/diagram/pkg/Activator.java
@@ -7,7 +7,7 @@
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
- *
+ *
* CEA LIST - Initial API and implementation
*
*****************************************************************************/
@@ -25,7 +25,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** The plug-in ID */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.pkg";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.package";
/** The plug-in shared instance */
private static Activator plugin;
@@ -45,6 +45,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -65,6 +66,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/.project
index d782348efac..92110db9485 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.paletteconfiguration.edit</name>
+ <name>org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/META-INF/MANIFEST.MF
index a86c17548db..b7a9b01c292 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit/META-INF/MANIFEST.MF
@@ -6,10 +6,10 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.paletteconfiguration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.uml.diagram.paletteconfiguration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.edit;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration.edit;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration.edit;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.facet.infra.query;visibility:=reexport,
@@ -21,6 +21,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.provider.Pa
letteConfigurationEditPlugin$Implementation
-Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration.edit;sin
- gleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.paletteconfiguration.edit;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/.project
index b74afba87a9..b5a8e22aa4d 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.paletteconfiguration</name>
+ <name>org.eclipse.papyrus.uml.diagram.paletteconfiguration</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF
index 795c0eed6fd..8b3b0aa46ba 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/META-INF/MANIFEST.MF
@@ -12,7 +12,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version:="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.query;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
org.eclipse.ui,
@@ -20,15 +20,14 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
org.eclipse.gmf.runtime.diagram.core;bundle-version="1.4.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.log;bundle-version:="0.9.0",
- org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.editor;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.paletteconfiguration.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.paletteconfiguration;singleto
- n:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.paletteconfiguration;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/Activator.java
index fc909e87007..9a8882f46ed 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.paletteconfiguration/src/org/eclipse/papyrus/paletteconfiguration/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -26,7 +26,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.paletteconfiguration"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.paletteconfiguration"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.project
index 7f7771a70df..caf470a3e08 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.profile</name>
+ <name>org.eclipse.papyrus.uml.diagram.profile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
index 4757fee45d3..1aa18f77466 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/META-INF/MANIFEST.MF
@@ -51,29 +51,28 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.gef,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.draw2d;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.ocl.ecore;visibility:=reexport,
- org.eclipse.papyrus.profile;bundle-version="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.profile;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.core.expressions,
org.eclipse.ui.navigator,
org.eclipse.ui.navigator.resources,
org.eclipse.papyrus.editor;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.commands;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.profile.part.UMLDiagramE
ditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.profile;singleton:=tr
- ue
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.profile;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/src/org/eclipse/papyrus/diagram/profile/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/src/org/eclipse/papyrus/diagram/profile/part/UMLDiagramEditorPlugin.java
index e70f75d00c0..7fdd8536583 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/src/org/eclipse/papyrus/diagram/profile/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.profile/src/org/eclipse/papyrus/diagram/profile/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -48,7 +48,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.profile"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.profile"; //$NON-NLS-1$
/**
* @generated
@@ -91,6 +91,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -103,6 +104,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -122,6 +124,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
@@ -178,7 +181,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* Respects images residing in any plug-in. If path is relative,
- * then this bundle is looked up for the image, otherwise, for absolute
+ * then this bundle is looked up for the image, otherwise, for absolute
* path, first segment is taken as id of plug-in with image
*
* @generated
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.project
index ae3bfb49245..d7d275116ac 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.diagram.sequence</name>
+ <name>org.eclipse.papyrus.uml.diagram.sequence</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
index 7a51f8a3953..316d600d77a 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/META-INF/MANIFEST.MF
@@ -12,12 +12,12 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.ui.navigator.resources,
org.eclipse.gmf.runtime.diagram.ui.properties,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.ocl.ecore;visibility:=reexport,
org.junit4,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.jface,
@@ -42,8 +42,8 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.gef,
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.gmf.runtime.notation;visibility:=reexport
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
@@ -51,5 +51,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.sequence.part.UMLDiagram
EditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.sequence;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.sequence;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/src/org/eclipse/papyrus/diagram/sequence/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/src/org/eclipse/papyrus/diagram/sequence/part/UMLDiagramEditorPlugin.java
index 99214021a61..fae89024ad6 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/src/org/eclipse/papyrus/diagram/sequence/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.sequence/src/org/eclipse/papyrus/diagram/sequence/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -53,7 +53,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.sequence"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.sequence"; //$NON-NLS-1$
/**
* @generated
@@ -101,6 +101,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
*
* @generated NOT
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -114,6 +115,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -134,6 +136,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.project
index b1e09a846fe..4a4dc7852d2 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.diagram.statemachine</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.diagram.statemachine</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
index fee5644bdc8..a932ba25101 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/META-INF/MANIFEST.MF
@@ -32,10 +32,10 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide,
org.eclipse.ocl.ecore;visibility:=reexport,
org.eclipse.ui.navigator.resources,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
- org.eclipse.papyrus.extensionpoints.editors;bundle-version:="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.core.runtime,
org.eclipse.core.resources,
org.eclipse.jface,
@@ -58,8 +58,8 @@ Require-Bundle: org.eclipse.core.expressions,
org.eclipse.emf.ecore.edit;visibility:=reexport,
org.eclipse.emf.validation;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
- org.eclipse.papyrus.navigation.uml;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.navigation;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Ant-Version: Apache Ant 1.7.0
Eclipse-LazyStart: true
@@ -67,6 +67,5 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.statemachine.part.UMLDia
gramEditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.statemachine;singleto
- n:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.statemachine;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/src/org/eclipse/papyrus/diagram/statemachine/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/src/org/eclipse/papyrus/diagram/statemachine/part/UMLDiagramEditorPlugin.java
index a58b3916fd6..1a3b32bbd18 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/src/org/eclipse/papyrus/diagram/statemachine/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.statemachine/src/org/eclipse/papyrus/diagram/statemachine/part/UMLDiagramEditorPlugin.java
@@ -35,7 +35,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.statemachine"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.statemachine"; //$NON-NLS-1$
/**
* @generated
@@ -220,6 +220,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
@@ -278,6 +279,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -290,6 +292,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/.project
index 55a400c4b3d..a656d182354 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.diagram.usecase</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.jdt.core.javanature</nature>
- <nature>org.eclipse.pde.PluginNature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.diagram.usecase</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
index ca86c88622c..6a13ff72876 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
@@ -49,18 +49,18 @@ Require-Bundle: org.eclipse.core.runtime,
org.eclipse.draw2d;visibility:=reexport,
org.eclipse.gmf.runtime.draw2d.ui;visibility:=reexport,
org.eclipse.gef;visibility:=reexport,
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version:="0.9.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.emf.validation;visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Eclipse-LazyStart: true
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.diagram.usecase.part.UMLDiagramE
ditorPlugin
-Bundle-SymbolicName: org.eclipse.papyrus.diagram.usecase;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.usecase;singleton:=true
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/src/org/eclipse/papyrus/diagram/usecase/part/UMLDiagramEditorPlugin.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/src/org/eclipse/papyrus/diagram/usecase/part/UMLDiagramEditorPlugin.java
index 178a80db06d..7d6b0569eb4 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/src/org/eclipse/papyrus/diagram/usecase/part/UMLDiagramEditorPlugin.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/src/org/eclipse/papyrus/diagram/usecase/part/UMLDiagramEditorPlugin.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2009 Atos Origin.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -49,7 +49,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
- public static final String ID = "org.eclipse.papyrus.diagram.usecase"; //$NON-NLS-1$
+ public static final String ID = "org.eclipse.papyrus.uml.diagram.usecase"; //$NON-NLS-1$
/**
* @generated
@@ -95,6 +95,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
instance = this;
@@ -107,6 +108,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
adapterFactory.dispose();
adapterFactory = null;
@@ -127,6 +129,7 @@ public class UMLDiagramEditorPlugin extends AbstractUIPlugin {
/**
* @generated
*/
+ @Override
public IPreferenceStore getPreferenceStore() {
IPreferenceStore store = Activator.getDefault().getPreferenceStore();
return store;
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/.project b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/.project
index b60bcdea41d..1be698db2cd 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/.project
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.wizards</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.diagram.wizards</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
index 936faed35bb..2ce97c124ed 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/META-INF/MANIFEST.MF
@@ -1,5 +1,5 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.emf.edit.ui;bundle-version="2.4.0",
org.eclipse.emf.ecore.edit;bundle-version="2.4.0",
org.eclipse.ui.intro;bundle-version="3.4.0"
@@ -14,6 +14,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.wizards.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.wizards;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.wizards;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/src/org/eclipse/papyrus/wizards/Activator.java b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/src/org/eclipse/papyrus/wizards/Activator.java
index 0b5a64f35df..7876df59b50 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/src/org/eclipse/papyrus/wizards/Activator.java
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.wizards/src/org/eclipse/papyrus/wizards/Activator.java
@@ -22,14 +22,14 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.wizards"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.diagram.wizards"; //$NON-NLS-1$
// The shared instance
/** The plugin. */
private static Activator plugin;
-
+
/** Logging helper. */
- public static LogHelper log;
+ public static LogHelper log;
/**
* The constructor.
@@ -42,6 +42,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -53,6 +54,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
index 3610c717933..9fab70eca3b 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer.widgets/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.modelexplorer.widgets;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.uml2.uml;bundle-version="3.2.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.uml.modelexplorer.widgets
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
index b0c01cbf819..c44eae6282d 100644
--- a/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/uml/modelexplorer/org.eclipse.papyrus.uml.modelexplorer/META-INF/MANIFEST.MF
@@ -7,7 +7,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",
org.eclipse.uml2.uml.editor;bundle-version="3.1.0",
org.eclipse.papyrus.uml.service.types;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
Export-Package: org.eclipse.papyrus.uml.modelexplorer,
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/.project b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/.project
index b2db9946aca..754f5c7db6a 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/.project
@@ -1,28 +1,28 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<projectDescription>
- <name>org.eclipse.papyrus.compare.ui</name>
- <comment></comment>
- <projects>
- </projects>
- <buildSpec>
- <buildCommand>
- <name>org.eclipse.jdt.core.javabuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.ManifestBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- <buildCommand>
- <name>org.eclipse.pde.SchemaBuilder</name>
- <arguments>
- </arguments>
- </buildCommand>
- </buildSpec>
- <natures>
- <nature>org.eclipse.pde.PluginNature</nature>
- <nature>org.eclipse.jdt.core.javanature</nature>
- </natures>
-</projectDescription>
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+ <name>org.eclipse.papyrus.uml.compare.ui</name>
+ <comment></comment>
+ <projects>
+ </projects>
+ <buildSpec>
+ <buildCommand>
+ <name>org.eclipse.jdt.core.javabuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.ManifestBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ <buildCommand>
+ <name>org.eclipse.pde.SchemaBuilder</name>
+ <arguments>
+ </arguments>
+ </buildCommand>
+ </buildSpec>
+ <natures>
+ <nature>org.eclipse.pde.PluginNature</nature>
+ <nature>org.eclipse.jdt.core.javanature</nature>
+ </natures>
+</projectDescription>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/META-INF/MANIFEST.MF
index 6128954ca99..eb5c34a59e3 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/META-INF/MANIFEST.MF
@@ -1,10 +1,10 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.compare;bundle-version:="3.5.200",
- org.eclipse.papyrus.compare;bundle-version="0.9.0",
+ org.eclipse.compare;bundle-version="3.5.200",
+ org.eclipse.papyrus.uml.compare;bundle-version="0.9.0",
org.eclipse.emf.compare.diff;bundle-version="1.1.1",
org.eclipse.emf.compare;bundle-version="1.1.1",
- org.eclipse.emf.compare.ui;bundle-version:="1.1.1",
+ org.eclipse.emf.compare.ui;bundle-version="1.1.1",
org.eclipse.emf.compare.match;bundle-version="1.1.1",
org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
@@ -18,6 +18,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.compare.ui.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.compare.ui;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.compare.ui;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/src/org/eclipse/papyrus/compare/ui/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/src/org/eclipse/papyrus/compare/ui/Activator.java
index 95a19edf822..6feba2223ac 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare.ui/src/org/eclipse/papyrus/compare/ui/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare.ui/src/org/eclipse/papyrus/compare/ui/Activator.java
@@ -12,7 +12,7 @@ public class Activator extends AbstractUIPlugin {
// The plug-in ID
/** The Constant PLUGIN_ID. */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.compare.ui"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.compare.ui"; //$NON-NLS-1$
// The shared instance
/** The plugin. */
@@ -29,6 +29,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -39,6 +40,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare/.project b/plugins/uml/org.eclipse.papyrus.uml.compare/.project
index a0869eec2b9..ef210cd5556 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.compare</name>
+ <name>org.eclipse.papyrus.uml.compare</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
index ccab398f078..5e9c5cbcc81 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare/META-INF/MANIFEST.MF
@@ -11,10 +11,10 @@ Require-Bundle: org.eclipse.emf.compare;bundle-version="1.1.0",
org.eclipse.emf.compare.match;bundle-version="1.1.0",
org.eclipse.emf.compare.diff,
org.eclipse.emf.compare.ui,
- org.eclipse.uml2.uml.edit;bundle-version:="3.1.100",
- org.eclipse.emf.facet.infra.browser.uicore;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom;bundle-version:="0.1.0",
- org.eclipse.emf.facet.infra.browser.custom.core;bundle-version:="0.1.0",
+ org.eclipse.uml2.uml.edit;bundle-version="3.1.100",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
+ org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0"
Bundle-Vendor: %Bundle-Vendor
Bundle-ActivationPolicy: lazy
@@ -22,6 +22,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Name: %Bundle-Name
Bundle-Activator: org.eclipse.papyrus.compare.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.compare;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.compare;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.compare/src/org/eclipse/papyrus/compare/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.compare/src/org/eclipse/papyrus/compare/Activator.java
index a7c802a78a5..54afaabae0a 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.compare/src/org/eclipse/papyrus/compare/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.compare/src/org/eclipse/papyrus/compare/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -28,7 +28,7 @@ public class Activator extends AbstractUIPlugin {
/**
* The plug-in ID.
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.compare"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.compare"; //$NON-NLS-1$
/**
* The shared instance.
@@ -51,6 +51,7 @@ public class Activator extends AbstractUIPlugin {
* @see org.eclipse.core.runtime.Plugin#start(org.osgi.framework.BundleContext)
* @generated
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -65,6 +66,7 @@ public class Activator extends AbstractUIPlugin {
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
* @generated
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.project b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.project
index 7053ceaf746..3d0f26b8f04 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.controlmode.umlprofiles</name>
+ <name>org.eclipse.papyrus.uml.controlmode.profile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
index e9b16b78bbe..d21d3d6cfdc 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/META-INF/MANIFEST.MF
@@ -1,12 +1,12 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.controlmode;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.controlmode;bundle-version="0.9.0",
org.eclipse.gmf.runtime.emf.commands.core,
org.eclipse.uml2.uml,
org.eclipse.uml2.uml.edit,
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
- org.eclipse.papyrus.core;bundle-version:="0.9.0",
- org.eclipse.papyrus.core.resourceloading.preferences;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading.preferences;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -14,7 +14,6 @@ Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.controlmode.umlprofiles.Activato
r
-Bundle-SymbolicName: org.eclipse.papyrus.controlmode.umlprofiles;singl
- eton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.controlmode.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/src/org/eclipse/papyrus/controlmode/umlprofiles/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/src/org/eclipse/papyrus/controlmode/umlprofiles/Activator.java
index d27f2164a9b..54a075ddaea 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/src/org/eclipse/papyrus/controlmode/umlprofiles/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.controlmode.profile/src/org/eclipse/papyrus/controlmode/umlprofiles/Activator.java
@@ -9,7 +9,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends Plugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.controlmode.umlprofiles"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.controlmode.profile"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
@@ -25,6 +25,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -35,6 +36,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/.project b/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/.project
index 829a663ab30..647c4a7d5a1 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.uml.profile</name>
+ <name>org.eclipse.papyrus.uml.documentation.profile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/META-INF/MANIFEST.MF
index 8b64ae1ba91..fcc6ba2e033 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.documentation.profile/META-INF/MANIFEST.MF
@@ -6,6 +6,6 @@ Bundle-Version: 0.9.0.qualifier
Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.uml.profile;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.documentation.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.documentation/.project b/plugins/uml/org.eclipse.papyrus.uml.documentation/.project
index be3524e471e..a2dd10157fe 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.documentation/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.documentation/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.documentation.uml</name>
+ <name>org.eclipse.papyrus.uml.documentation</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.documentation/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.documentation/META-INF/MANIFEST.MF
index 2c874e1c923..fa4ce0466bc 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.documentation/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.documentation/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.views.documentation;bundle-version="0.9.0",
org.eclipse.uml2.uml,
- org.eclipse.papyrus.uml.profile;bundle-version:="0.9.0"
+ org.eclipse.papyrus.uml.documentation.profile;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -9,7 +9,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.documentation.uml.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.documentation.uml;singleton:=
- true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.documentation;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/.project b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/.project
index 1610fd46cf2..75682541fd9 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.extensionpoints.uml2</name>
+ <name>org.eclipse.papyrus.uml.extensionpoints</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/META-INF/MANIFEST.MF
index 64161291c0a..30198387117 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/META-INF/MANIFEST.MF
@@ -16,7 +16,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.extensionpoints.uml2.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.extensionpoints.uml2;singleto
- n:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.extensionpoints;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/src/org/eclipse/papyrus/extensionpoints/uml2/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/src/org/eclipse/papyrus/extensionpoints/uml2/Activator.java
index d0ceb67b914..0d036f4d6bc 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/src/org/eclipse/papyrus/extensionpoints/uml2/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.extensionpoints/src/org/eclipse/papyrus/extensionpoints/uml2/Activator.java
@@ -29,7 +29,7 @@ public class Activator extends AbstractUIPlugin {
private static Activator plugin;
/** ID of the plugin */
- public static final String PLUGIN_ID = "org.eclipse.papyrus.extensionpoints.uml2";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.extensionpoints";
/** Resource Bundle */
private static final String RESOURCE_NAME = PLUGIN_ID + ".ViewPlugin";
@@ -154,7 +154,7 @@ public class Activator extends AbstractUIPlugin {
*/
public static void log(Exception e) {
getDefault().getLog().log(
- new Status(IStatus.ERROR, Activator.PLUGIN_ID, IStatus.OK, e.getLocalizedMessage(), e));
+ new Status(IStatus.ERROR, Activator.PLUGIN_ID, IStatus.OK, e.getLocalizedMessage(), e));
}
/**
diff --git a/plugins/uml/org.eclipse.papyrus.uml.icons/.project b/plugins/uml/org.eclipse.papyrus.uml.icons/.project
index 6be54876d9a..75b2e26e7e4 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.icons/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.icons/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.icons.uml</name>
+ <name>org.eclipse.papyrus.uml.icons</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.icons/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.icons/META-INF/MANIFEST.MF
index 0411c7ce933..17acfe44b2e 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.icons/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.icons/META-INF/MANIFEST.MF
@@ -9,6 +9,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-Activator: org.eclipse.papyrus.icons.uml.Activator
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.icons.uml;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.icons;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.icons/src/org/eclipse/papyrus/icons/uml/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.icons/src/org/eclipse/papyrus/icons/uml/Activator.java
index 92bfee53ec0..1f42beebaad 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.icons/src/org/eclipse/papyrus/icons/uml/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.icons/src/org/eclipse/papyrus/icons/uml/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.icons.uml"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.icons"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
index 7793dbe2bbb..0970d240ad4 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.import/META-INF/MANIFEST.MF
@@ -2,11 +2,11 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
- org.eclipse.uml2.uml;bundle-version:="3.2.0",
+ org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.uml2.common.edit,
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
- org.eclipse.papyrus.profile;bundle-version:="0.9.0"
+ org.eclipse.papyrus.uml.profile;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
index fc99c7e554a..83dd90d57aa 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.menu/META-INF/MANIFEST.MF
@@ -2,13 +2,13 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf.common;bundle-version="2.7.0",
- org.eclipse.emf.ecore;bundle-version:="2.7.0",
+ org.eclipse.emf.ecore;bundle-version="2.7.0",
org.eclipse.emf;bundle-version="2.6.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.uml2.uml;bundle-version:="3.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
org.eclipse.core.expressions,
- org.eclipse.papyrus.views.properties;bundle-version:="0.9.0"
+ org.eclipse.papyrus.views.properties;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/.project b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/.project
index b11e6f75c44..73cc7c1b4cf 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.pastemanager</name>
+ <name>org.eclipse.papyrus.uml.pastemanager</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/META-INF/MANIFEST.MF
index 7af65b8f4e3..7a70e9432f0 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/META-INF/MANIFEST.MF
@@ -3,8 +3,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.3.1",
org.eclipse.uml2.uml,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
- org.eclipse.papyrus.commands;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.pastemanager,
org.eclipse.papyrus.pastemanager.command,
org.eclipse.papyrus.pastemanager.request,
@@ -16,6 +16,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.pastemanager.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.pastemanager;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.pastemanager;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/src/org/eclipse/papyrus/pastemanager/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/src/org/eclipse/papyrus/pastemanager/Activator.java
index 651641fd2fc..84974af8edf 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.pastemanager/src/org/eclipse/papyrus/pastemanager/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.pastemanager/src/org/eclipse/papyrus/pastemanager/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2010 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -23,15 +23,15 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.pastemanager"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.pastemanager"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/** Logging helper */
- public static LogHelper log;
-
- /**
+ public static LogHelper log;
+
+ /**
* The constructor
*/
public Activator() {
@@ -42,11 +42,12 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
// register the login helper
- log = new LogHelper(plugin);
+ log = new LogHelper(plugin);
}
/*
@@ -54,6 +55,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
log = null;
diff --git a/plugins/uml/org.eclipse.papyrus.uml.perspective/.project b/plugins/uml/org.eclipse.papyrus.uml.perspective/.project
index 40639c6ad7c..3d80b2de359 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.perspective/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.perspective/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.perspective</name>
+ <name>org.eclipse.papyrus.uml.perspective</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.perspective/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.perspective/META-INF/MANIFEST.MF
index 83d4557fa79..df377aafe42 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.perspective/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.perspective/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.wizards;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0",
org.eclipse.ui;bundle-version="3.7.0",
- org.eclipse.ui.ide;bundle-version:="3.6.100",
+ org.eclipse.ui.ide;bundle-version="3.6.100",
org.eclipse.core.runtime;bundle-version="3.6.100"
Export-Package: org.eclipse.papyrus.perspective
Bundle-Vendor: %providerName
@@ -11,6 +11,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.perspective.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.perspective;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.perspective;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.perspective/src/org/eclipse/papyrus/perspective/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.perspective/src/org/eclipse/papyrus/perspective/Activator.java
index c318e4bc397..623d5eb1f53 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.perspective/src/org/eclipse/papyrus/perspective/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.perspective/src/org/eclipse/papyrus/perspective/Activator.java
@@ -9,7 +9,7 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.perspective";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.perspective";
// The shared instance
private static Activator plugin;
@@ -25,6 +25,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -35,6 +36,7 @@ public class Activator extends AbstractUIPlugin {
*
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/.project b/plugins/uml/org.eclipse.papyrus.uml.profile/.project
index 0bea24bc41b..25b75930090 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.profile</name>
+ <name>org.eclipse.papyrus.uml.profile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
index 1b4b7f30d5a..d34f232138d 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.uml2.uml.editor,
- org.eclipse.papyrus.extensionpoints.uml2;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.1.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
Export-Package: org.eclipse.papyrus.profile,
@@ -29,6 +29,6 @@ Bundle-Localization: plugin
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.profile.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.profile;singleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.profile/src/org/eclipse/papyrus/profile/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.profile/src/org/eclipse/papyrus/profile/Activator.java
index 1f6ef778d0b..40491a7175d 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.profile/src/org/eclipse/papyrus/profile/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.profile/src/org/eclipse/papyrus/profile/Activator.java
@@ -1,7 +1,7 @@
/*****************************************************************************
* Copyright (c) 2008 CEA LIST.
*
- *
+ *
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
@@ -28,7 +28,7 @@ public class Activator extends AbstractUIPlugin {
/**
*
*/
- public static final String PLUGIN_ID = "org.eclipse.papyrus.profile";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.profile";
// The shared instance
/**
@@ -55,6 +55,7 @@ public class Activator extends AbstractUIPlugin {
*
* @throws Exception
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
}
@@ -71,6 +72,7 @@ public class Activator extends AbstractUIPlugin {
*
* @throws Exception
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/.project b/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/.project
index dcfe71a8806..ea647c2c603 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.resourceloading.umlprofile</name>
+ <name>org.eclipse.papyrus.uml.resourceloading.profile</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/META-INF/MANIFEST.MF
index b07af067190..7de5c435613 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.resourceloading.profile/META-INF/MANIFEST.MF
@@ -1,12 +1,11 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml,
- org.eclipse.papyrus.core.resourceloading;bundle-version:="0.9.0"
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.resourceloading.umlprofile;si
- ngleton:=true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.resourceloading.profile;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
index b208c7d7478..e07ea82bd4e 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
-Require-Bundle: org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.uml.standard;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.uml.service.types,
org.eclipse.papyrus.uml.service.types.command,
diff --git a/plugins/uml/org.eclipse.papyrus.uml.service.types/src/org/eclipse/papyrus/uml/service/types/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.service.types/src/org/eclipse/papyrus/uml/service/types/Activator.java
index 31a76404a1f..ca133b85e37 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.service.types/src/org/eclipse/papyrus/uml/service/types/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.service.types/src/org/eclipse/papyrus/uml/service/types/Activator.java
@@ -41,6 +41,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugins#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -52,6 +53,7 @@ public class Activator extends Plugin {
*
* @see org.eclipse.core.runtime.Plugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/.project b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/.project
index 2e36122ec61..13fae6badfe 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/.project
+++ b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/.project
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<projectDescription>
- <name>org.eclipse.papyrus.templaterepository</name>
+ <name>org.eclipse.papyrus.uml.templaterepository</name>
<comment></comment>
<projects>
</projects>
diff --git a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/META-INF/MANIFEST.MF
index 46475cd13f6..f05fc13b798 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.wizards;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.wizards;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
@@ -9,7 +9,6 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.templaterepository.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.templaterepository;singleton:
- =true
+Bundle-SymbolicName: org.eclipse.papyrus.uml.templaterepository;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/src/org/eclipse/papyrus/templaterepository/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/src/org/eclipse/papyrus/templaterepository/Activator.java
index df32f9b8d73..61bb0ff5ea5 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.templaterepository/src/org/eclipse/papyrus/templaterepository/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.templaterepository/src/org/eclipse/papyrus/templaterepository/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.templaterepository";
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.templaterepository";
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
index ee10ab31378..21e24389fde 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
+++ b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/META-INF/MANIFEST.MF
@@ -1,8 +1,8 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.ui.perspectiveconfiguration;bundle-version="0.9.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.editor.perspectiveconfiguration;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable.workbench;bundle-version="0.1.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/src/org/eclipse/papyrus/uml/ui/perspectiveconfiguration/Activator.java b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/src/org/eclipse/papyrus/uml/ui/perspectiveconfiguration/Activator.java
index 106d23ad289..f08a72b253c 100644
--- a/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/src/org/eclipse/papyrus/uml/ui/perspectiveconfiguration/Activator.java
+++ b/plugins/uml/org.eclipse.papyrus.uml.ui.perspectiveconfiguration/src/org/eclipse/papyrus/uml/ui/perspectiveconfiguration/Activator.java
@@ -9,11 +9,11 @@ import org.osgi.framework.BundleContext;
public class Activator extends AbstractUIPlugin {
// The plug-in ID
- public static final String PLUGIN_ID = "org.eclipse.papyrus.basiconfiguration"; //$NON-NLS-1$
+ public static final String PLUGIN_ID = "org.eclipse.papyrus.uml.ui.perspectiveconfiguration"; //$NON-NLS-1$
// The shared instance
private static Activator plugin;
-
+
/**
* The constructor
*/
@@ -24,6 +24,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#start(org.osgi.framework.BundleContext)
*/
+ @Override
public void start(BundleContext context) throws Exception {
super.start(context);
plugin = this;
@@ -33,6 +34,7 @@ public class Activator extends AbstractUIPlugin {
* (non-Javadoc)
* @see org.eclipse.ui.plugin.AbstractUIPlugin#stop(org.osgi.framework.BundleContext)
*/
+ @Override
public void stop(BundleContext context) throws Exception {
plugin = null;
super.stop(context);
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.runtime/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.runtime/META-INF/MANIFEST.MF
index 443e4655b57..46fa0fa1d8c 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.runtime/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.runtime/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbed.profile/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbed.profile/META-INF/MANIFEST.MF
index 3c865c14010..98d5307ec90 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbed.profile/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbed.profile/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.gmf.runtime.diagram.ui.properties,
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.appearance/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.appearance/META-INF/MANIFEST.MF
index 519603bf3c9..b4335b9f5c3 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.appearance/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.appearance/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.gmf.runtime.diagram.ui.properties;bundle-version="1.1.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0"
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.tabbedproperties.appearance
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
index b8a8fa49093..ab4a6373b5a 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.tabbedproperties.comments/META-INF/MANIFEST.MF
@@ -5,11 +5,11 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.ecore;bundle-version="2.5.0",
org.eclipse.uml2.uml;bundle-version="3.0.0",
org.eclipse.emf.edit;bundle-version="2.5.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.epf.richtext;bundle-version="1.2.0",
org.eclipse.emf.edit.ui;bundle-version="2.5.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.tabbedproperties.comments,
org.eclipse.papyrus.tabbedproperties.comments.propertysection
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.view/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.view/META-INF/MANIFEST.MF
index a79cd131651..dbf3aeda1d1 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties.view/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties.view/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0"
Bundle-Vendor: %providerName
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
index 4b18152cbdb..6ad82783ad3 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
@@ -2,16 +2,16 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.gmf.runtime.emf.core,
org.eclipse.emf.databinding;bundle-version="1.2.0",
org.eclipse.jface;bundle-version="3.6.1",
org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.ui;bundle-version="3.6.1",
- org.eclipse.papyrus.profile;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.profile;bundle-version="0.9.0",
org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0"
Export-Package: org.eclipse.papyrus.properties.uml.constraints,
diff --git a/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF b/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
index 729d2beda5e..fa6b96e2b22 100644
--- a/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
+++ b/plugins/uml/table/org.eclipse.papyrus.uml.table.default/META-INF/MANIFEST.MF
@@ -3,9 +3,9 @@ Export-Package: org.eclipse.papyrus.table.defaultt,
org.eclipse.papyrus.table.defaultt.editor,
org.eclipse.papyrus.table.defaultt.factory,
org.eclipse.papyrus.table.defaultt.handlers
-Require-Bundle: org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.table.common;bundle-version="0.9.0",
- org.eclipse.papyrus.table.instance;bundle-version="0.9.0",
+Require-Bundle: org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.table.instance;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets.nattable;bundle-version="0.1.0",
org.eclipse.emf.facet.widgets.nattable.tableconfiguration
Bundle-Vendor: %providerName
diff --git a/plugins/uml/table/org.eclipse.papyrus.uml.table.widgets.celleditors/META-INF/MANIFEST.MF b/plugins/uml/table/org.eclipse.papyrus.uml.table.widgets.celleditors/META-INF/MANIFEST.MF
index 1930e45621a..40fc66ab44c 100644
--- a/plugins/uml/table/org.eclipse.papyrus.uml.table.widgets.celleditors/META-INF/MANIFEST.MF
+++ b/plugins/uml/table/org.eclipse.papyrus.uml.table.widgets.celleditors/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.widgets.celleditors,
org.eclipse.emf.facet.widgets.celleditors.ecore;bundle-version="0.1.0",
org.eclipse.emf.facet.util.core,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.uml2.uml,
org.eclipse.papyrus.uml.modelexplorer.widgets;bundle-version="0.9.0",
org.eclipse.emf.facet.widgets,
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui/META-INF/MANIFEST.MF
index 742ef7fc6d8..6229f09b30b 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext.ui/META-INF/MANIFEST.MF
@@ -17,11 +17,11 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.collaborationuse.xtext;bundle-v
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.gmf.runtime.common.core;bundle-version="1.4.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.1",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.diagram.common;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0",
org.eclipse.papyrus.uml.textedit.common.xtext.ui;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
Bundle-Vendor: %providerName
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext/META-INF/MANIFEST.MF
index 05a5406b883..8f32e68afdd 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.collaborationuse.xtext/META-INF/MANIFEST.MF
@@ -13,7 +13,7 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.papyrus.uml.textedit.common.xtext;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.xtext.gmf.glue;bundle-version="0.8.0"
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.common.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.common.xtext.ui/META-INF/MANIFEST.MF
index dfe6b512611..c7767a9bef5 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.common.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.common.xtext.ui/META-INF/MANIFEST.MF
@@ -19,7 +19,7 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.common.xtext;bundle-version="0.
org.eclipse.ui,
org.eclipse.xtext.builder,
org.antlr.runtime,
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui/META-INF/MANIFEST.MF
index 9f1a82b5f7d..0b62c5b33c0 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext.ui/META-INF/MANIFEST.MF
@@ -12,7 +12,7 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.connectionpointreference.xtext;
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.connectionpointreference.editor.xt
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
index 5b7fff2423f..534f7e9861b 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.constraintwithessentialocl.xtext/META-INF/MANIFEST.MF
@@ -14,7 +14,7 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.gef;bundle-version="3.7.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.5.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.8.0",
- org.eclipse.papyrus.core;bundle-version="0.8.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.8.0",
org.eclipse.core.expressions
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext.ui/META-INF/MANIFEST.MF
index 3d56ce83b25..a5e91982123 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext.ui/META-INF/MANIFEST.MF
@@ -18,7 +18,7 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.message.xtext;bundle-version="0
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Bundle-Vendor: %providerName
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext/META-INF/MANIFEST.MF
index ec8b71fe961..0f2687e18ba 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.message.xtext/META-INF/MANIFEST.MF
@@ -13,7 +13,7 @@ Require-Bundle: org.eclipse.xtext,
org.antlr.runtime,
org.eclipse.uml2.codegen.ecore;bundle-version="1.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.message.editor.xtext,
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.parameter.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.parameter.xtext.ui/META-INF/MANIFEST.MF
index 5230f75ff4a..d297e13c280 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.parameter.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.parameter.xtext.ui/META-INF/MANIFEST.MF
@@ -15,12 +15,12 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.parameter.xtext;bundle-version=
org.antlr.runtime,
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.papyrus.uml.textedit.common.xtext;bundle-version="0.9.0",
org.eclipse.papyrus.uml.textedit.common.xtext.ui;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.property.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.property.xtext.ui/META-INF/MANIFEST.MF
index 7638b6501f8..6d95703bb90 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.property.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.property.xtext.ui/META-INF/MANIFEST.MF
@@ -20,9 +20,9 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.property.xtext;bundle-version="
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.state.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.state.xtext.ui/META-INF/MANIFEST.MF
index 6f1532e01bb..e0e908cea10 100755
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.state.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.state.xtext.ui/META-INF/MANIFEST.MF
@@ -17,7 +17,7 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.state.xtext;bundle-version="0.9
org.eclipse.core.expressions;bundle-version="3.4.200",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
Bundle-Vendor: %providerName
diff --git a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.transition.xtext.ui/META-INF/MANIFEST.MF b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.transition.xtext.ui/META-INF/MANIFEST.MF
index 247d67ba146..4c7ceb700bc 100644
--- a/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.transition.xtext.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/textedit/org.eclipse.papyrus.uml.textedit.transition.xtext.ui/META-INF/MANIFEST.MF
@@ -24,7 +24,7 @@ Require-Bundle: org.eclipse.papyrus.uml.textedit.transition.xtext;bundle-version
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.extensionpoints.editors;bundle-version="0.9.0",
org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0"
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.extendedtypes/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.extendedtypes/META-INF/MANIFEST.MF
index 46df7226b36..fc3a12f2aef 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.extendedtypes/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.extendedtypes/META-INF/MANIFEST.MF
@@ -11,11 +11,11 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime,
org.eclipse.emf.ecore;visibility:=reexport,
org.eclipse.emf.ecore.xmi;visibility:=reexport,
- org.eclipse.papyrus.core.queries.configuration;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.queries.core.configuration;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.extendedtypes;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.query;visibility:=reexport,
org.eclipse.uml2.uml;visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
index eb7bef2c5dc..c1088dfade0 100644
--- a/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
+++ b/plugins/uml/tools/org.eclipse.papyrus.uml.tools.utils/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.uml2.uml,
org.eclipse.jface;bundle-version="3.4.1",
org.eclipse.emf.transaction;bundle-version="1.2.1",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.umlutils,
org.eclipse.papyrus.umlutils.ui,
org.eclipse.papyrus.umlutils.ui.command,
diff --git a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
index 970ea47fa29..6660b62d9b5 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view.papyrus/META-INF/MANIFEST.MF
@@ -1,7 +1,7 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.papyrus.views.documentation.view;bundle-version="0.9.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
- org.eclipse.papyrus.core.adaptor.gmf;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core.adaptor.gmf;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
index 63bd2418862..145ec288fc0 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.resourceloading/META-INF/MANIFEST.MF
@@ -2,14 +2,14 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.converter;bundle-version="2.5.0",
org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.common.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0",
- org.eclipse.papyrus.controlmode.history;bundle-version="0.9.0",
- org.eclipse.papyrus.core.resourceloading;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.services.controlmode.history;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.resourceloading;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.modelexplorer.resourceloading.hand
ler
Bundle-Vendor: %providerName
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
index 74d2b9f852f..073bdacda6e 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer.widgets/META-INF/MANIFEST.MF
@@ -1,11 +1,11 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.widgets;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.papyrus.views.modelexplorer;bundle-version="0.9.0";visibility:=reexport,
org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0";visibility:=reexport,
org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.1.0";visibility:=reexport,
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0"
Export-Package: org.eclipse.papyrus.modelexplorer.widgets
Bundle-Vendor: %providerName
diff --git a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
index 62521142136..008ab8dbe20 100644
--- a/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
+++ b/plugins/views/modelexplorer/org.eclipse.papyrus.views.modelexplorer/META-INF/MANIFEST.MF
@@ -2,17 +2,17 @@ Manifest-Version: 1.0
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.ui.navigator;bundle-version="3.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0";visibility:=reexport,
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0";visibility:=reexport,
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.emf.converter;bundle-version="2.5.0",
- org.eclipse.papyrus.preferences;bundle-version="0.9.0",
- org.eclipse.papyrus.sasheditor.di;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.preferences;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.sasheditor.di;bundle-version="0.9.0",
org.eclipse.ltk.core.refactoring;bundle-version="3.5.100",
org.eclipse.emf.ecore.editor;bundle-version="2.6.0",
org.eclipse.emf.workspace.ui;bundle-version="1.3.0",
org.eclipse.core.expressions;bundle-version="3.4.200",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.validation;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.validation;bundle-version="0.9.0",
org.eclipse.emf.facet.infra.browser;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.browser.custom.core;bundle-version="0.1.0",
@@ -22,8 +22,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.facet.infra.facet;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.facet.core;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.query.ui;bundle-version="0.1.0",
- org.eclipse.papyrus.ui.toolbox;bundle-version="0.9.0",
- org.eclipse.papyrus.decoration;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.decoration;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.core.ui.pagebookview,
org.eclipse.papyrus.modelexplorer,
org.eclipse.papyrus.modelexplorer.actionprovider,
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
index d92734bbaee..66973d9cc56 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.runtime/META-INF/MANIFEST.MF
@@ -20,14 +20,14 @@ Require-Bundle: org.eclipse.ui;bundle-version="3.5.1",
org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.2.0",
org.eclipse.gmf.runtime.emf.core;bundle-version="1.2.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.gmf.runtime.common.ui;bundle-version="1.2.1",
org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.2.0",
org.eclipse.uml2.uml.resources;bundle-version="3.1.0",
org.eclipse.emf.edit.ui;bundle-version="2.6.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
Bundle-Version: 0.9.0.qualifier
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
index 8cd21af88ef..5c02a6f0a62 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.core/META-INF/MANIFEST.MF
@@ -6,9 +6,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.emf.edit.ui;bundle-version="2.6.0",
org.eclipse.gmf.runtime.common.core;bundle-version="1.2.0",
org.eclipse.gmf.runtime.common.ui;bundle-version="1.3.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.properties.tabbed.core,
org.eclipse.papyrus.properties.tabbed.core.provider,
org.eclipse.papyrus.properties.tabbed.core.view,
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
index 38ad03d2001..c3f8ca512ac 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbed.customization/META-INF/MANIFEST.MF
@@ -3,13 +3,13 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.ui.views;bundle-version="3.5.0",
org.eclipse.papyrus.views.properties.tabbed.core;bundle-version="0.9.0",
- org.eclipse.papyrus.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.log;bundle-version="0.9.0",
org.eclipse.papyrus.views.properties.runtime;bundle-version="0.9.0",
org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.0",
org.eclipse.gmf.runtime.common.ui.services;bundle-version="1.3.0",
org.eclipse.emf.ecore;bundle-version="2.6.0",
org.eclipse.emf.ecore.edit;bundle-version="2.6.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.uml2.uml;bundle-version="3.1.0",
org.eclipse.papyrus.uml.tools.utils;bundle-version="0.9.0",
org.apache.xml.serializer;bundle-version="2.7.1",
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
index 1fc4607e1b0..1b2fc082dcc 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties.tabbedproperties.core/META-INF/MANIFEST.MF
@@ -1,6 +1,6 @@
Manifest-Version: 1.0
Require-Bundle: org.eclipse.emf.edit.ui;bundle-version="2.4.0",
- org.eclipse.papyrus.core;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.tabbedproperties.core,
org.eclipse.papyrus.tabbedproperties.core.providers
Bundle-Vendor: %providerName
diff --git a/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF b/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
index 86d621dd72f..522e5a0fbe5 100644
--- a/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
+++ b/plugins/views/properties/org.eclipse.papyrus.views.properties/META-INF/MANIFEST.MF
@@ -36,8 +36,8 @@ Require-Bundle: com.ibm.icu,
org.eclipse.e4.xwt;bundle-version="0.9.1",
org.eclipse.e4.xwt.pde;bundle-version="0.9.1",
org.eclipse.papyrus.views.properties.model;bundle-version="0.9.0",
- org.eclipse.papyrus.service.edit;bundle-version="0.9.0",
- org.eclipse.papyrus.widgets;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="0.9.0",
org.eclipse.core.databinding.beans;bundle-version="1.2.100",
org.eclipse.emf.facet.infra.query;bundle-version="0.1.0",
org.eclipse.emf.facet.infra.query.core;bundle-version="0.1.0",

Back to the top